This file only lists a short summary of the changes between FileZilla versions. For a full list of changes, please read the ChangeLog file.

Legend:
  ! Security related bugfix or otherwise critical bugfix
  + New feature or important bugfix
  - Bugfixes and other changes

  Platform prefixes:
    MSW: Microsoft Windows
    *nix: Unix (e.g BSD) and Unix-like systems (e.g. Linux)
    macOS/OS X: Apple macOS

3.71.1 (2026-08-26)

- macOS: Work around a bug in macOS 27 where setting the locale to non-English triggers crashes in AppKit
- SFTP: Improved heuristic when keyboard-interactive requests are treated as a simple password prompt on servers not offering the password authentication method

3.71.0 (2026-08-19)

+ FTP(S), SFTP: Entering an empty path in the remote path edit field now returns back to the initial home directory
- FTP(S): Fix parsing of permissions for chmod dialog on servers that include both perms and unix.mode facts in MLSD output
- SFTP: Updated fzssh to 1.4.0 to support additional algorithms and key file formats
- Official binaries are now linked against wxWidgets 3.2.11
- FTP(S): Fixed parsing of paths on servers with the server type set to DOS. Some malformed paths were wrongly accepted, confusing the engine; such paths are now rejected early.
- Refactored engine internals to remove influences from FTP-specific concepts that were permeating into other protocols

3.70.6 (2026-06-04)

+ SFTP: Added compatibility flag to Site Manager to ignore invalid bits in file attributes flags received from non-compliant servers
- SFTP: Updated to fzssh 1.3.0
- Updated to libfilezilla 0.56.1
- Removed autodetection of FTP server type governing the remote path syntax. Exotic server types now need to be set explicitly on the advanced page in the Site Manager

3.70.5 (2026-05-06)

! Official binaries are now linked against GnuTLS 3.8.13
+ SFTP: Added a page with compatibility flags to the Site Manager
- SFTP: Updated to fzssh 1.2.1 to ignore items with invalid names directory listings instead of failing listings completely
- SFTP: Fixed issue where some items were reported with the wrong type depending on server capabilities
- SFTP: If keyboard-interactive authentication fails, automatically start a new authentication attempt

3.70.4 (2026-04-16)

- Updated to libfilezilla 0.55.4 to address a crash
- SFTP: Updated to fzssh 1.2.0

3.70.3 (2026-04-14)

- SFTP: Added a heuristic to reply to a keyboard-interactive request with the site's password, if it consists of a single prompt named "Password"
- SFTP: Updated to fzssh 1.1.10 for increased compatibility with broken servers that blatantly violate the SSH specifications

3.70.2 (2026-04-14)

- SFTP: Updated to fzssh 1.1.9 to address an issue with servers sending nonsensical SSH_MSG_USERAUTH_INFO_REQUEST packages

3.70.1 (2026-04-13)

- SFTP: Updated to fzssh 1.1.8 to address an issue with servers sending empty longnames
- SFTP: Updated to fzssh 1.1.8 to address an issue with servers incapable of handling large receive windows of 2^32 - 1 bytes
- SFTP: Fixed an issue creating directories during file upload

3.70.0 (2026-04-09)

- Replacing of invalid characters in filenames when downloading can no longer be disabled
- If saving of password was disabled, temporarily remembering passwords until FileZilla gets closed could result in additional password prompts
- SFTP: Fix accessing symbolic links

3.70.0-rc3 (2026-03-23)

- SFTP: Updated fzssh to 1.1.7 to address corrupted uploads

3.70.0-rc2 (2026-03-23)

- Updated fzssh to 1.1.6 to improve SSH channel window handling

3.70.0-rc1 (2026-03-16)

- Fix detection of OTP requests from FileZilla Pro Enterprise Server if using non-default FTP encryption options
- MSW: Improve handling of volumes mounted as path instead of as drive letter
- *nix, macOS: Remove custom send buffer option, rely on operating system auto-tuning

3.70.0-beta2 (2026-03-02)

- SFTP: Migrate saved hostkey data from prior versions

3.70.0-beta1 (2026-02-24)

+ SFTP support is now based on the fzssh library

3.69.6 (2026-02-12)

! Official binaries are now linked against GnuTLS 3.8.12

3.69.5 (2025-11-12)

- macOS: Fixed issue with toolbar size

3.69.4 (2025-11-11)

- Fixed an issue whith the certificate verification dialog not becoming scrollable on certificates with many subject alternative names
- Updated to libfilezilla 0.52.0

3.69.3 (2025-07-31)

+ For files and directories that are symbolic links, a small overlay symbol is now shown on icons in local file list and directory tree
- Fixed an issue showing attributes of symbolic links in local file list

3.69.2 (2025-07-17)

! Official binaries are now linked against GnuTLS 3.8.10
- FTP: Retry from a different source port if establishing a data connection in passive mode fails with EADDRINUSE

3.69.1 (2025-04-23)

- Fixed initial loading of file extensions for the Auto transfer type

3.69.0 (2025-04-15)

- Faster natural sort
- *nix: Fixed focus issue in Site Manager
- Updated to libfilezilla 0.50.0

3.68.1 (2024-11-04)

+ macOS: Fixed a build issue affecting App Notarization on arm64
- Updated translations

3.68.0 (2024-10-30)

+ Added option to always refresh remote directory listings when starting a recursive operation
- Changing logfile settings no longer requires a restart of FileZilla
- Fixed a display issue with special characters in usernames
- MSW: Fixed local file list not updating after renaming or deleting items
- SFTP: Update interval of transfer progress during uploads should now be more consistent on very slow connections
- Updated to libfilezilla 0.49.0

3.67.1 (2024-07-10)

- MSW: Fixed an issue with confirmation dialogs for file deletion not being modal
- Updated to libfilezilla 0.48.1

3.67.1-rc1 (2024-06-27)

- Fixed an issue migrating old queue files if several older versions have been skipped
- Updated to libfilezilla 0.48.0

3.67.0 (2024-04-15)

! SFTP: Fixed PuTTY ECDSA NIST P-521 private key recovery vulnerability (CVE-2024-31497). If you use NIST P-521 keys to connect to SSH/SFTP servers, you should regenerate them and revoke the previous ones.
! Official binaries are now built against GnuTLS 3.8.4
- Updated to libfilezilla 0.47.0

3.66.5 (2024-02-07)

! Official binaries are now built againt GnuTLS 3.8.3
- Updated to libfilezilla 0.46.0
- MSW: Fixed tab navigation over message log

3.66.4 (2023-12-20)

! SFTP: Address Terrapin protocol vulerability

3.66.3-rc1 (2023-12-11)

- Test release for macOS CPU architecture migration

3.66.3-beta1 (2023-12-07)

+ macOS: Now also distributing aarch64 binaries
- macOS: Fixes for language detection
- Fixed a potential crash in the HTTP client

3.66.1 (2023-11-03)

- macOS: Fixed display of local filenames containing non-ASCII characters if LC_CTYPE wasn't set

3.66.0 (2023-10-23)

- Fixed a sorting issue in comparative search

3.66.0-rc1 (2023-10-11)

- Fixed crash removing items from the list of file extensions treated as text files
- Fixed potental crash if shutting down HTTP client.
- Fixed HTTP timeouts

3.65.0 (2023-07-10)

+ Comparative search can now also be used if sorted by path
- Fixed an issue in comparative search in directories with uppercase letters

3.65.0-rc1 (2023-06-29)

- Fixed potential crashes
- Updated to libfilezilla 0.44.0

3.64.0 (2023-04-26)

- Fixed refresh of directory trees when filters changing
- Updated to libfilezilla 0.42.2

3.64.0-rc1 (2023-04-13)

- MSW: Additional icon sizing fixes on high DPI scale factors
- Updated to libfilezilla 0.42.0
- Switched to .tar.xz for source tarballs

3.63.2.1 (2023-02-23)

- macOS: Several rendering fixes in dark mode
- macOS: Disable automatic quote/dash substitution in text input fields
- MSW: Fixed an issue with Drag&Drop to Explorer on systems that use shortened 8.3 pathnames in environment variables
- MSW: If FileZilla was installed for current user only, updating with the installer now skips the UAC prompt
- Updated to libfilezilla 0.41.1 to fix a rare crash
- Official binaries are now built againt GnuTLS 3.8.0

3.63.1 (2023-01-26)

- MSW: Fixed icon sizing issue on high DPI scale factors

3.63.0 (2023-01-24)

- All official FileZilla binares now link against wxWidgets 3.2.1
- Fixed a potential crash when closing FileZilla
- macOS: Fixed tree control scroll position not following the foucsed item
- macOS: Fixed an issue preventing translations into some languages to be loaded

3.62.2 (2022-11-22)

- Fixed an issue with some dialogs not showing up

3.62.1 (2022-11-17)

- Fixed a crash if main menu events arrive while a dialog is already open
- macOS: Fixed an issue with keyboard shortcuts
- macOS: Fix selected item count in file list status bars
- macOS: Fixed graphical corruption in some controls

3.62.0 (2022-10-27)

- Fixed sizing issues in about and welcome dialogs

3.62.0-beta1 (2022-10-11)

- macOS binaries are now built against wxWidgets 3.2.1
- Updated to libfilezilla 0.39.2

3.61.0 (2022-09-19)

- Updated to libfilezilla 0.39.1

3.61.0-beta1 (2022-09-07)

+ Use improved asynchronous file readers/writers from libfilezilla
- Fix export of root items in the Site Manager
- Handle rare cases of non-existing download directory in the updater

3.60.2 (2022-07-22)

- Updated to libfilezilla 0.38.1 to address an issue with child process termination resulting in freezes

3.60.1 (2022-06-01)

- Fixed a regression drag-moving local files

3.60.0 (2022-05-27)

- SFTP: Fixed error handling if reading from child process fails
- Fixed transfers following recursive operations not starting if the connection limit has been set to 1 in the Site Manager

3.60.0-rc1 (2022-05-19)

+ macOS: Remote files can now be dragged into Finder
- Fixed file change detection when editing files

3.59.0 (2022-04-08)

- Windows binaries: Updated zlib, used purely to cache re-scaled versions of icons shipped with FileZilla, to 1.2.12
- Updated to libfilezilla 0.37.1

3.59.0-rc1 (2022-04-01)

- Updated to libfilezilla 0.37.0
- Non-blocking communication with SFTP process
- macOS, *nix: Fixed "All files" category in file picker dialogs

3.58.0 (2022-02-11)

- More detailed error messages if an XML file known to exist cannot be opened

3.58.0-rc1 (2022-02-03)

+ Negotiate custom ALPN with FileZilla Server >=1.3.0 during TLS handshake to save some roundtrips during connection establishment
+ Prepare FileZilla to support TOTP-based 2FA authentication on future FileZilla Server versions
- Made downloading updates more robust if the network connection is unreliable
- Updated to libfilezilla 0.36.0

3.57.0 (2021-12-10)

- Fixed incorrect default settings for file editing
- Fixed a crash looking up data in file lists
- Fixed a crash if a HTTPS connection gets canceled during the TLS handshake
- Updated to libfilezilla 0.35.0

3.56.2 (2021-10-27)

- Fixed a potential crash after uploading

3.56.1 (2021-10-26)

- macOS Monterey: Opening the Site Manager on startup is now delayed a millisecond, otherwise the right mouse button would have stopped working
- macOS: Fixed getting temporary directory
- MSW: Updated to libfilezilla 0.34.1 to fix local directory contents returned by the system in oversized buffers containing nulls

3.56.0 (2021-10-11) 

- Updated to libfilezilla 0.34.0
- Updated translations

3.56.0-rc1 (2021-09-29) 

+ Right-clicking a queue tab header now opens the same context menu as right-clicking the correponding queue contents
+ By default, the minimum allowed TLS version is now TLS 1.2
+ Optionally, the systen trust store can be used for certificate verification
- FTP: Fixed an issue with key file conversion
- Fixed an issue loading servers not supporting session resumption from storage

3.55.1 (2021-08-09)

- Fixed a crash if a tree view item is deleted at the same time as something is being dragged over the tree view
- Updated to libfilezilla 0.31.1 to fix an issue with SIGPIPE on *nix

3.55.0 (2021-07-09)

- Updated translations

3.55.0-rc1 (2021-07-02)

- Updated SFTP components
- Set appropriate ALPN on TLS connections
- Fixed loading of settings files that were moved between platforms
- Refactored updater internals

3.54.1 (2021-05-13)

- Fix control visibility logic in Site Manager

3.54.0 (2021-05-12)

- SFTP: Fixed a regression loading configured key files

3.54.0-rc1 (2021-05-04)

- Refactored network activity handling, the activity indicators tooltips now display more accurate data
- Updated SFTP components
- Small performance improvement sorting very large directory listings
- Fixed a crash changing numeric permissions value in chmod dialog

3.53.1 (2021-03-22)

- Removed an error message on new installation where there is no sitemanager.xml yet
- Fixed SOCKS5 proxy support

3.53.0 (2021-03-15)

- HTTP: Handle servers sending early replies

3.53.0-rc1 (2021-03-05)

+ Require explicit confirmation on FTP servers not supporting TLS session esumption on the data connection
+ Access Grant support for Tardigrade
- MSW: Fixed handle leak if using SFTP
- FTP: Fixed cancelling listings on very slow computers with extremely fast network connection
- Fixed loading of custom FTP proxy setting when opening the settings dialog
- Internal restructuring

3.52.2 (2021-01-18)

- When restoring the main window position at startup, detect if the title bar would become hidden behind taskbars or global menu bars and reposition it appropriately
- SFTP: Fixed preserving of timestamps on downloads

3.52.0.5 (2021-01-08)

- FTP: Fixed crash if downloading ASCII files with stray carriage returns
- Fixed too strict requirements for preallocation
- *nix: Fixed a memory leak

3.52.0.4 (2021-01-07)

- macOS: Work around a kernel bug where ftruncate cannot be called more than once on a shared memory object

3.52.0.3 (2021-01-06)

- macOS: Fix issue opening shared memory objects

3.52.0.2 (2021-01-06)

- HTTP: Handle multi-token Connection: headers
	
3.52.0.1 (2021-01-05)

- macOS: Rebuilt to address a toolchain issue

3.52.0 (2021-01-04)

- Fixed a regression with the rename file exists action on downloads

3.52.0-rc1 (2020-12-29)

+ Added context menu item in the search dialog to close the search and set the selected directory as the current local/remote directory
- Minor fixes for updating the HTTP transfer status

3.52.0-beta1 (2020-12-17)

+ Use asynchronous file readers/writers in the engine
- MSW: React to system color scheme changes
- Fixed splitters not being draggable on newly created tabs
- MSW: Fixed data directory lookup if run from a development environment

3.51.0 (2020-10-20)

- Fixed import of sites protected with a different master password
- Directory comparison now works correctly with non-default file name sorting settings
- Small search dialog fixes

3.51.0-rc1 (2020-10-13)

- Refactored how the queue stores transfer flags
- Refactored internals to be more modular
- Linux: Disable receive buffer tuning if it results in unexpected consequences
- Distinguish between Cancel and No in the file changed dialog
- Small fixes to changing or disabling a master password

3.50.0 (2020-08-27)

- Minor fixes to Tardigrade integration

3.50.0-rc1 (2020-08-21)

+ Update Storj/Tardigrade integration, now based on the uplink-c library
- Fix layout issues in the Site Manager if switching protocol
- Restored natural sort option for file list sorting

3.49.1 (2020-07-15)

- Fixed selection changes not being reflected in the Site Manager in some circumstances

3.49.0 (2020-07-13)

- Fixed retrying initial connection attempts

3.49.0-rc1 (2020-07-07)

- MSW: Tab bar icons now scale on high-DPI displays
- The sizing and spacing of several dialogs has been improved on high-DPI displays
- MSW: Fix visual glitches when changing the selected site in the Site Manager
- When creating a new tab, the pane sizes are now inherited from the previous tab.
- macOS: Additional fixes for handling Cmd+V, Cmd+C and Cmd+X in text input controls
- Refactored internal settings and option handling

3.48.1 (2020-05-18)

- If FileZilla is configured to restore open tabs on startup, the directory trees no longer shrink in size

3.48.1-rc1 (2020-05-12)

! MSW: The settings directory is now initially created with tight permissions restricted to the user's account. Previously the directory could have had inherited too wide permissions if a custom location outside the user's profile directory had been preconfigured.
+ Redesigned certificate dialog
+ During directory comparison and comparative search, Ctrl+Shift+A can now be used to select only the highlighted files
- Fixed import of settings
- Fixed local file editing if the option to track local file changes had been disabled
- Fixes to storing associations

3.48.0 (2020-04-27)

! Custom associations for file extensions containing spaces were not saved correctly

3.48.0-rc1 (2020-04-20)

+ Overhaul of file associations for editing files. The setting to inherit system associations has been removed. When first editing a type of file with no default editor set, a dialog is shown asking which editor to use. The system associatio, if it exists, is a choice in this dialog.
- SFTP: Re-added support for AES-GCM which was accidentally removed in 3.46.1
- Fixes for comparative search leaving the program in an inconsistent state when closing the dialog during an ongoing search
- Building and running FileZilla now depends on libfilezilla >= 0.20.0 (https://lib.filezilla-project.org/)

3.47.2 (2020-03-10)

- macOS: Potential fix for clipped text labels on a few systems
- SFTP: Backported selected fixes from developement versions of PuTTY
- Fixed value range for directional transfer limits
- Fixed layout issues if changing to/from comparative search

3.47.1 (2020-02-24)

- Fixed regression loading advanced site parameters

3.47.0 (2020-02-24)

- Fix visual glitched adding/removing filter rows
- MSW: Limit amount of text that can be entered in spin controls

3.47.0-rc1 (2020-02-16)

+ Added new search mode: Comparative search
+ Pressing F7 now switches focus between local and remote panes
- MSW: Work around a linker bug breaking ASLR
- macOS: Avoid spurious button events consuming keyboard shortcuts
- Increased minimum width of text field in generic input dialogs
- Refactored Site Manager controls to increase modularity and fixed some minor GUI inconsistencies
- Refactored engine connection logic
- Building and running FileZilla now depends on libfilezilla >= 0.19.1 (https://lib.filezilla-project.org/)

3.46.3 (2019-12-23)

- SFTP: Fixed handle leak on Windows
- SFTP: Remote paths were not fully resolved on all operations

3.46.2 (2019-12-20)

- SFTP: Fixed a regression connecting using a password-protected keyfile

3.46.1 (2019-12-20)

- Fixed a crash if an FTP server sends too long response lines
- Building and running FileZilla now depends on libfilezilla >= 0.19.3 (https://lib.filezilla-project.org/), this fixes a few issues with the new speed limiting code
- SFTP components have been updated and are now based on PuTTY 0.73

3.46.0 (2019-11-25)

- Fixed a rare crash if closing FileZilla the very same moment a connection or transfer requests user attention

3.46.0-rc1 (2019-11-15)

+ Show an error message in the local directory listing if the user lacks permission to show the directory
- Local filelist status bar is now reset if accessing a local directory fails
- macOS: Work around an a bug in macOS 10.15 (Catalina) where closing a dialog shown from a timer can result in temporary freezes
- Refactored speed-limiting code
- Building and running FileZilla now depends on libfilezilla >= 0.19.1 (https://lib.filezilla-project.org/)

3.45.1 (2019-09-25)

- Fixed sorting issues in the directory trees

3.45.0 (2019-09-23)

- Updated translations

3.45.0-rc1 (2019-09-16)

+ If checking for updates cannot be performed for a prolonged time, users are warned about using an outdated version
- Performance improvements if expanding or refreshing a directory with thousands of direct subdirectories in the directory trees
- Fixed prefix search in Site Manager
- macOS: Fix password pasting using Cmd+V
- Minor performance improvements deleting many thousands of files

3.44.2 (2019-08-15)

- MSW: Fixed a crash if using predefined sites through fzdefaults.xml
- Fixes to protocol selection glitches in the Site Manager
- Increase maximum length of response lines when using FTP

3.44.1 (2019-08-09)

- Fixed a regression introduced in 3.44.0-rc1 breaking support for insecure servers

3.44.0 (2019-08-08)

- Fixed export in context menu of Site Manager to handle multiple selected items

3.44.0-rc1 (2019-08-02)

+ Multiple items can now be selected in the Site Manager
+ Pressing F3 in the Site Manager opens a search dialog
+ Add a reminder to the message log to switch to FTP over TLS each time a plain FTP connection is used
- Fix loading of confirmed, known insecure hosts
- Building and running FileZilla now depends on libfilezilla >= 0.18.0 (https://lib.filezilla-project.org/)

3.43.0 (2019-06-27)

! Filenames containing double-quotation marks were not escaped correctly when selected for opening/editing. Depending on the associated program, parts of the filename could be interpreted as commands.
- Added a second layer of authentication to the update mechanism

3.43.0-rc2 (2019-06-21)

- Rebuilt against libfilezilla 0.17.1

3.43.0-rc1 (2019-06-19)

- macOS: Minimum required macOS version has been increased to 10.11 (El Capitan)
- *nix: Official Linux binaries are now built for Debian 10 (Buster)
- Building FileZilla now requires a C++17 compiler
- Building and running FileZilla now depends on libfilezilla >= 0.17.0 (https://lib.filezilla-project.org/)
- When using SFTP, fix fallback to password authentication on a server refusing a password-protected key
- Fix HTTP proxy support
- *nix: Improve resolution of program icon

3.42.1 (2019-05-08)

- OS X: Fix a compatibility issue with macOS 10.13

3.42.0 (2019-05-02)

- Fixed a potential crash if the first-launch welcome dialog is shown at an inopportune moment
- Fixed display of subject and issuer details in the certificate verification dialogs with some certificates
- Official binaries are now built againt GnuTLS 3.6.7, minimum required GnuTLS version to build FileZilla is now 3.5.7

3.42.0-rc1 (2019-04-26)

- Switching from using a master password to not saving passwords at all no longer requires entering the master password
- *nix: Fixed support for internationalized domain names on systems having AI_IDN when using SFTP
- Fixed an assertion after importing a manipulated queue file
- When importing sites, any imported passwords are now immediately protected/deleted depending on the password protection settings
- The ability to import Site Manager entries from antique FileZilla 2, last updated over a dozen years ago, has been removed

3.42.0-beta1 (2019-04-21)

- Building and running FileZilla now depends on libfilezilla >= 0.16.0 (https://lib.filezilla-project.org/)
- Limit the maximum length of site, bookmark and filter names to prevent display issues and crashes due to some operating systems badly handling long texts
- When displaying message boxes, insert zero-width spaces into long unbroken words to prevent display issues and crashes due to some operating systems badly handling long texts
- Fix crash in the external IP address resolver
- Fix some assertions if a server sends bad file sizes
- Large refactoring of the socket code
- The thread pool from libfilezilla is now used for all worker threads

3.41.2 (2019-03-18)

! Backport a security fix from PuTTY 0.71 affecting SFTP connections: Fix an integer overflow in the RSA key exchange preceeding host key verification

3.41.1 (2019-03-06)

- Fix a regression introduced in 3.41.1 with slow FTP servers needlessly waiting for a bidirectional shutdown of the data connection during downloads

3.41.0 (2019-03-06)

- MSW: Fix an issue with failing uploads due to the operating system not gracefully closing TCP connections contrary to the documented behavior
- MSW: Fix compilation flags for wxWidgets to no longer include useless XP compatibility

3.41.0-rc1 (2019-02-26)

- Fixed crash if adding a bookmark with the current connection not yet having a Site Manager entry
- Fixed a rare crash if closing FileZilla while a recursive chmod operation is still in progress
- Fixed a rare crash if starting directory comparison on an empty directory without logical parent
- Fixed a rare crash on changing the file list sort order when the focused item index has previously become invalid
- Restrict the maximum length of regular expressions in filter conditions due to bugs in some implementations of the C++ Standard Library causing crashes
- OS X: Fixed crash if the path of a file dropped on FileZilla cannot be obtained
- Fixed order in which directories helper tools and data files are searched for
- Fixed a rare crash if closing tab during an ongoing recursive directory deletion

3.40.0 (2019-01-25)

- Official binaries are now linked against GnuTLS 3.6.6

3.40.0-rc2 (2019-01-22)

- Fix regression introduced in rc1 where adding files to queue creates extra server items if the connection was established through the Site Manager

3.40.0-rc1 (2019-01-18)

+ Added TLS 1.3 support by linking official binaries against GnuTLS 3.6.5
+ Refactored how sites and servers are being represented internally to fix issues trigged by renaming sites in the Site Manager
- Fix display of server names containing ampersands in several dialogs
- Fix regular expression filter in the quick search panel
- Fix a crash if files are added to the queue when there are already files for multiple different servers in the queue
- Fix a crash applying filters when there are no selected files and the focused item is past the new file count
- Fix a crash if emptying the queue while a directory creation item is active
- Fix a potential crash if FileZilla is being closed the moment a delayed dialog has already been created but before it is shown.


3.39.0 (2018-11-30)

- Fix timestamps of newly created empty files on the server if the option to preserve timestamps is set

3.39.0-rc1 (2018-11-23)

+ The down button on the keyboard now opens the quickconnect history dropdown menu if the quickconnect bar has the input focus
+ The down button on the keyboard now opens the search options if the quick search dialog has the input focus
- Refactored how close notifications were handled in the network code
- Fixed saving of the 'not equal' and 'less than' conditions for size filters
- Fixed regular expression filters not respecting the case-sensitivity checkbox in all situations
- Restore context menu item to delete file in local file search

3.38.1 (2018-10-27)

- Fixed crash if transferring three or more files in parallel when speed limits are enabled

3.38.0 (2018-10-26)

- Updated translations

3.38.0-rc1 (2018-10-19)

+ Refreshing remote file list while holding Ctrl now clears the remote directory cache for the current server
+ Changed default logon type if creating a new site in the Site Manager
- Fixed state of controls in the Site Manager when creating a new site after the previously viewed site has been predefined
- Fixed dragging remote files to queue
- Building and running FileZilla now depends on libfilezilla >= 0.15.0 (https://lib.filezilla-project.org/)
- Improve compatibility with GnuTLS 3.6.x
- Fix building with automake >= 1.16.0

3.37.4 (2018-09-04)

- MSW: Fix regression introduced in 3.37.3 with moving files locally using drag&drop

3.37.3 (2018-09-28)

- Fix issues with directory creation when uploading many files in parallel
- macOS: Fix crashes if dragging more than one file
- macOS: Opt out of Dark Mode

3.37.1 (2018-09-21)

- Local path is no longer forgotten when leaving synchronized browsing mode

3.37.0 (2018-09-17)

- Fix remote target path if uploading files through the search dialog

3.37.0-rc1 (2018-09-10)

+ Use a cache for the system trust store to speed up connecting establishment on systems with huge certificate revocation lists in the system trust store
- Fixed bug in GnuTLS causing crashes on connection establishment
- Fixed enabled state of controls in the Site Manager if switching to a protocol not supporting the previously selected logontype

3.36.0 (2018-08-27)

- Fix --site-manager command-line argument
- Fix potential crash with malformed directory listings
- Fix potential crash if opening/closing tabs or starting the queue while directories are being renamed or deleted

3.36.0-rc1 (2018-08-20)

+ Ask for explicit confirmation prior to falling back to insecure plaintext FTP if a server refuses to use TLS
+ Warn if an FTP server refuses TLS that is known from previous connections to be capable of TLS

3.35.2 (2018-08-06)

- Fix functionality of --site and --local command-line options
- MSW: Fix local rename not updating file list
- OS X: Fix compatibility with old CPUs not supporting SSE4

3.35.1 (2018-07-23)

- Fix context menu in search dialog

3.35.0 (2018-07-23)

+ Improved appearance of activity indicators, sort direction indicators, and quick search panel buttons on high-DPI displays

3.35.0-rc2 (2018-07-17)

- OS X: Fix dependency problem in build system

3.35.0-rc1 (2018-07-16)

+ Add option to settings dialog to have FileZilla restore tabs and connections after a restart
- Fix initial size of Site Manager being too small on some systems

3.34.0 (2018-06-15)

+ After deleting files, the focus rectangle now stays near the previously deleted file

3.34.0-rc1 (2018-06-08)

+ Refactoring of the Site Manager internals
+ Moved protocol selection to the top in the Site Manager
+ Adjusted spacing in the Site Manager
+ Slightly reduced height of certificate details dialog
- MSW: Properly quote the uninstall command in the registry
- Updated builtin pugixml to version 1.9

3.33.0 (2018-05-07)

- MSW: Microsoft broke the ICopyHook interface in Windows 1803. Until Microsoft fixes the bug in Windows, drag & drop from FileZilla into Explorer will not work on Windows 1803.

3.33.0-rc1 (2018-04-27)

+ The contents of the transfer queue can now be sorted
+ SFTP: Support key files encrypted with aes256-ctr, e.g. as created by OpenSSH 7.6 and later
- SFTP: Fix preserve timestamps menu option

3.32.0 (2018-04-02)

+ Further SFTP performance improvements

3.32.0-rc1 (2018-03-23)

+ The Site Manager no longer shows controls not applicable to the selected protocol
+ Dynamically disable menu items if the used protocal does not support the corresponding functionality
+ Speed up listing large directories over SFTP
- Fix state of case sensitivity checkbox in the filter edit dialog if no filter has been selected

3.31.0 (2018-02-23)

- Building and running FileZilla now depends on libfilezilla >= 0.12.1 (https://lib.filezilla-project.org/)

3.31.0-rc1 (2018-02-16)

+ Allow trusting all subject alternative names (SAN) in a certificate if the current hostname matches the certificate
- OS X: Fix file lists becoming inresponsive when a file rename edit box is discarded by clicking to the right of the last column in the file list
- Fix rare crash during directory removal
- Fix rare crash in the transfer queue

3.30.0 (2018-01-08)

- Add additional logging if autoupdate mechanism fails

3.30.0-rc1 (2017-12-29)

+ In the search dialog local files can now be deleted or opened
+ The root node in the remote directory tree is now expanded by default
- Fix uploading from search dialog
- Fix formatting of filename in rename dialog
- MSW: Fix installer crash if an update installation is started with the updated version having been installed

3.29.0 (2017-11-06)

- Fix activity indicators not working after the update check has been run

3.29.0-rc1 (2017-10-30)

+ Added new quick search filter to file lists, accessed through Ctrl+F
+ FTP over TLS: Mismatched hostnames are now highlighted in red in the certificate verification dialog
+ Filters using regular expressions can now be case-insensitive
- Explicitly wait for the settings to be written to disk before removing the backup file to prevent loss of data in case of system crashes

3.28.0 (2017-09-29)

+ *nix: Official Linux binaries are now built for Debian 9 (Stretch)
- Do not disable password saving settings if fzdefaults.xml contains a kiosk mode setting of 0.

3.28.0-rc1 (2017-09-22)

+ Add "Close once" as queue completion action
- Fixed crash if FileZilla is forced to close, e.g. when the system is shutting down, while there are open dialogs
- If the transfer queue asks for a password and the password dialog is canceled the queue processing is now stopped
- OS X, *nix: Improve detection of invalid character encodings in local filenames 
- Fix potential crash expanding directory tree items while changing selections

3.27.1 (2017-08-14)

! Change client identification string if connecting with SFTP due to OpenSSH disregarding the supported ciphers announced by the client, resulting in less secure algorithms being chosen by OpenSSH.
- MSW: Improve handling of NTFS reparse points
- MSW: If running the installer with /S, previous versions where not uninstalled prior to the new version being installed
- MSW: The installer can be run with /quiet for a semi-silent installation
- OS X, *nix: Potential fix for a rare crash if changing local directories while the local directory list is being updated and vice versa.

3.27.0.1 (2017-07-19)

- MSW: Add misssing file to .zip binary package
- MSW: Fix toolchain issues breaking the shell extension

3.27.0 (2017-07-19)

- SFTP components have been updated and are now based on PuTTY 0.70

3.27.0-rc1 (2017-07-11)

+ Support for the Storj decentralized cloud storage provider
- MSW: Fix display of file type of directories if the directory name contains a dot
- Fix assertion if entering an invalid protocol prefix into the host field on the quickconnect bar or in the site manager
- Improve error message if TLS certificate verification fails due to a missing stapled OCSP resonse
- Building and running FileZilla now depends on libfilezilla >= 0.10.0 (https://lib.filezilla-project.org/)

3.26.2 (2017-06-12)

- Fixed crash if using master passwords and decrypting very long passwords

3.26.1 (2017-06-02)

- Fixed crash if changing password settings and the Site Manager contains subdirectories
- *nix: Fixed saving of sites having more than one site-specific bookmark

3.26.0 (2017-06-01)

- When changing or removing the master password, update protected credentials of server items in the transfer queue
- Fix display of remember checkbox when showing the password entry dialog for sites that have no username set and are using the "Ask" logon type
- Some icons were missing in the Windows .zip binary archive 

3.26.0-rc1 (2017-05-25)

+ Passwords can now be stored encrypted, protected with a master password
+ Building and running FileZilla now depends on libfilezilla >= 0.9.2 (https://lib.filezilla-project.org/).
+ Building and running FileZilla now depends on wxWidgets >= 3.0.3

3.25.2 (2017-04-30)

- SFTP components have been updated and are now based on PuTTY 0.69
- Fixed potential stall during the final listing operation when finishing a queue which contained uploads

3.25.2-rc1 (2017-04-23)

- Fix crash if filters.xml has become corrupted
- Fix FTP proxy support
- Fix sending of FTP keep-alive commands
- MSW: Windows Vista is no longer supported
- MSW: File and directory icons now also appear on systems that have no Windows directory

3.25.1 (2017-03-20)

- OS X: Fixed a crash if connecting to old servers not supporting UTF-8
- Fixed timeout detection

3.25.0 (2017-03-13)

+ OS X: The minimum required OS X version is now 10.9
- OS X: Disable App Nap during transfers and other operations
- OS X: Downloaded updates are now stored in the Downloads directory
- OS X: Fix initial toolbar state on startup if it was hidden when FileZilla was last closed
- Fix reconnect delay logic which broke in 3.25.0-beta1
- Fix piecewise creation of remote paths using FTP which broke in 3.25.0-beta1

3.25.0-rc1 (2017-03-04)

- Fix encryption selection for FTP in the Site Manager which broke in 3.25.0-beta1
- Small changes to error message texts

3.25.0-beta1 (2017-02-24)

+ Major refactoring of the FileZilla internals.
- Scale width of fields in the status line control on high-DPI displays
- Fix duplicate mnemonic in "Files currently being edited" dialog.

3.24.1 (2017-02-21)

- Fixed rendering icons in the remote directory tree when DPI scaling is enabled on Windows Vista and some Windows 7 machines
- SFTP components have been updated and are now based on PuTTY 0.68
- Updated builtin pugixml to version 1.8

3.24.0 (2017-01-13)

- Fixed a possible crash if sending FTP commands fails during a directory listing operation
- *nix: Fixed a scrolling issue in the message log if wxWidgets is built against GTK3

3.24.0-rc1 (2017-01-06)

+ The context menu for remote file search results now has a "Copy URL(s) to clipboard" item
+ Alt+number can now be used to switch between tabs in addition to Ctrl+number
+ SFTP hostkey fingerprints are now also shown as base64 encoded SHA256 hashes to match the new format displayed by OpenSSH
- Errors at the end of SFTP transfers now correctly result in transfer failures instead
- Cancelling synchronized browsing questions no longer prevents further directory changes
- Fix display issues for the filter conditions dialog
- Fix deleting multiple extensions on the filetype page in the settings
- OS X: Do not open dialogs while already processing an event, e.g. while a context menu is open

3.23.0.2 (2016-12-06)

- Key file paths entered in the Site Manager are now saved to corresponding server entries in the transfer queue
- MSW: Work around a bug in wxWidgets causing bad icons in the remote directory tree due to wxImageList::GetBitmap errorneously stripping the alpha channel from images
- Allow relative paths and environment variables in the "Cache directory" setting.

3.23.0.1 (2016-12-05)

- Work around a bug in wxWidgets that has been causing a virtually infinite loop when deleting toolbar buttons

3.23.0 (2016-12-05)

- Speed up icon scaling and cache scaled icons for faster subsequent loading. The cache directory can be changed through fzdefaults.xml using the "Cache directory" setting
- OS X: Fixed icon display on high-DPI displays in a few more dialogs
- Loading a corrupted layout.xml or search.xml no longer shows an error message, these files are now silently overwritten
- MSW: Fixed a regression where UNC paths where not handled correctly as config location in fzdefaults.xml

3.23.0-rc1 (2016-11-28)

+ New high-resolution icons
+ Improvements to the sizing of icons and other user interface elements on high-DPI displays. For technical reasons, existing theme settings have been reverted to their default values. They can be changed again in the settings dialog.
+ Make use of the Unix.ownername and Unix.groupname facts for MLSD if available
- The bookmarks menu updates again after changing global bookmarks
- Adding a site to the Site Manager as part of adding a site-specific bookmark no longer fails if sitemanager.xml does not yet exist
- Strip byte order marks at the beginning of directory listings
- Add an option to filezilla.xml to control cache ttl

3.22.2.2 (2016-11-01)

- Fixed trimming of FEAT response lines leading to incorrectly detected server features

3.22.2.1 (2016-11-01)

- OS X: Rebuilt to work around a nasty bug in XCode: Even when linking with -Wl,-no-weak-imports it links against functions not available on older OS X versions
- Fixed a crash on exotic servers only implementing factless MLST/MLSD

3.22.2 (2016-11-01)

- Tuned appearance of progress bar in transfer queue
	
3.22.2-rc2 (2016-10-28)

- SFTP: Renaming a file or directory where the new name already refers to a directory no longer moves the file into this directory.
- Fix regression from -rc1 with custom ports in the quickconnect bar
- Fix regression from -rc1 parsing the EPSV reply

3.22.2-rc1 (2016-10-25)

+ Building and running FileZilla now depends on libfilezilla >= 0.8.0 (https://lib.filezilla-project.org/).
- Non-existing key files are no longer silently dropped from the SFTP page in the settings dialog
- Further abbreviate log output if transferring files using SFTP
- Generic proxy usernames and passwords containing non-ASCII characters are again handled correctly
- Fixed an assertion if Ctrl+A is pressed in an empty file list
- *nix: Fixed color of status message in the message log
- *nix, OS X: Fixed an assertion adding files to the queue after having selected a large range of items
- *nix, OS X: Fixed an assertion due to a timing issue when renaming local files

3.22.1 (2016-10-03)

- OS X: Work around a nasty bug in XCode where programs explicitly compiled for older versions of OS X were silently pulling in features exclusive to the new version, resulting in crashes at runtime
- Fixed a potential crash when using SFTP

3.22.0 (2016-10-01)

- Bookmarks with the "Directory comparison" checkbox set now work correctly
- MSW: Fix background clearing issue on the size format settings page
- MSW: Toggling the log timestamp option no longer results in wrong log colors
- Fix for premature queue completion action

3.22.0-rc1 (2016-09-24)

+ Directory listing filters can now be exported and imported
+ Added the "not all" filter match type to filter out all items not matching all conditions
+ Added the "not all" search match type to search for all items not matching all conditions
+ Building and running FileZilla now depends on libfilezilla >= 0.7.0 (https://lib.filezilla-project.org/).
+ Building and running FileZilla now depends on GnuTLS >= 3.4.15
- Speed up creation of socket and file i/o threads through the use of a thread pool
- Replace invalid characters in filenames when calculating the local filename for editing remote files
- The updater can now handle HTTPS servers that redirect to other HTTPS servers
- SFTP: Try password based login if a password-protected keyfile is rejected by the server instead of failing the login
- MSW: The shell extension now supports long paths on Windows 10

3.21.0 (2016-08-23)

! Fixed a string format vulnerability introduced in 3.20.0-rc1 when listing directories using SFTP
+ SFTP: Added support for AES-GCM ciphers as implemented in OpenSSH
+ OS X: Ctrl+Tab and Ctrl+Shift+Tab can now be used to switch forward and backward between opened tabs
- Reduced time between TCP keepalive packets to 15 minutes on supporting platforms
- Fixed saving of directory listing filters with an attribute condition

3.20.1 (2016-08-03)

- Fixed rename file exists action on downloads
- Fixed possible crash if disabling log abbreviation
- Official binaries now link against a patched version of GnuTLS so that a better error message can be printed on broken servers that send malformed certificate chains 

3.20.0 (2016-07-27)

+ Display error message if entering a non-existing path on local file search
+ Building and running FileZilla now depends on libfilezilla >= 0.6.1 (https://lib.filezilla-project.org/).

3.20.0-rc1 (2016-07-20)

+ Added compatibility for filenames with leading or trailing whitespace if using SFTP
+ Building and running FileZilla now depends on libfilezilla >= 0.6.0 (https://lib.filezilla-project.org/).
+ Building and running FileZilla now depends on GnuTLS 3.4.0 or higher
- Fixed regression introduced in 3.19.0-rc1, reconnecting again uses the last used remote directory instead of the initial default remote directory
- Fixed crash if creating a new site via the bookmarks dialog
- Queuing remote directories for transfer no longer exits comparison mode
- Fixed a rare crash using FTP over TLS if the control connection fails at the same time the data connection gets established
- Entering invalid regular expressions in filter and search conditions now shows an error message
- Fixed title of search dialog
- Stricter certificate chain validation to supplement the Tofu model
- *nix: Fix initial size of Site Manager dialog with some GTK versions

3.19.0 (2016-06-27)

+ Building FileZilla now depends on libfilezilla >= 0.5.3 (https://lib.filezilla-project.org/).
- Fixed context menu in search dialog if not connected to server
- OS X, *nix: Fix displayed text in file list status bar if selecting a single item in the file list out of multiple already selected items

3.19.0-rc1 (2016-06-20)

+ In the Site Manager a background colour for sites can now be selected
+ Open tabs can be re-arranged using drag&drop
- Fixed copying URLs of multiple selected files to clipboard
- Setting remote file timestamps did not take timezone offsets configured through the Site Manager into account

3.18.0 (2016-05-27)

- Small fixes to local file search
- Fixed a regression introduced in 3.18.0-rc1 when formatting hostnames for display

3.18.0-rc1 (2016-05-20)

+ The search functionality can now also be used to search local files
+ Reduced CPU consumption of adding files to the list of search results
+ Opening the remote context menu while holding shift allows copying URLs to clipboard that include the password
+ Added an option to the configuration file through which initiating drag&drop can be disallowed
+ Reduced memory footprint of some data structures
+ Building FileZilla now depends on libfilezilla >= 0.5.2 (https://lib.filezilla-project.org/).
- The remote file list context menu no longer shows inapplicable entries while files are being added to queue
- Fix date validation in filter and search conditions

3.17.0.1 (2016-05-09)

! MSW: Quoted the path to the uninstaller when executed from the installer to prevent an attacker from tricking the installer into running some other program instead
- SFTP: Fixed resuming SFTP transfers
- MSW: Loading the system default locale no longer fails on systems that have any English locale installed, yet do not have the US-English locale installed
- Fixed crash if update dialog is opened at the very same moment FileZilla is being closed.

3.17.0 (2016-04-22)

- *nix: Removed a label on the filter dialog that doesn't apply to *nix builds
- Fix compilation if Nettle is installed in a custom location
- Fix potential issues with destruction order when closing FileZilla

3.17.0-rc1 (2016-04-15)

+ Recursively queuing local files for upload now displays the progress below the local file list
+ MSW: Use dynamic TCP send buffer sizes to improve upload speeds on high-latency connections
+ SFTP: Use hardware-accelerated AES on x86_64 CPUs if available by using the AES implementation from Nettle instead of PuTTY
+ Building FileZilla now depends on the Nettle library, version 3.1 or later
+ Building FileZilla now depends on libfilezilla >= 0.5.0 (https://lib.filezilla-project.org/).
- MSW: The installer now warns if it detects old versions of FileZilla outside of the installation directory
- Improve compatibility with directory listings where midnight is represented as 24:00:00 of the prior day
- SFTP: Failed downloads due to write failures, e.g. due to a full disk, no longer show up as successful
- SFTP: Fix transfer failures if multiple transfers try to list the same directory
- SFTP: Updated PuTTY components
- FTP over TLS: Debug logs now contain additional information about the TLS handshake


3.16.1 (2016-03-16)

! MSW: Updated installer to NSIS 3.0b3 to prevent DLL hijacking
- MSW: Fix string conversion functions of MinGW runtime libraries
- Updated PuTTY components
- Updated translations
- Official binaries now link against GnuTLS 3.4.10
- Official binaries now link against SQLite 3.11.1

3.16.0 (2016-02-29)

- Small fix for remembering queue completion actions

3.16.0-rc1 (2016-02-21)

+ Make notification bubble on queue completion configurable though the queue's context menu
+ Selected queue completion action is now remembered, excluding the system shutdown/sleep actions.
+ Added new servertype to the Site Manager for servers using MS-DOS style paths with forward slashes as separators
+ Building FileZilla now depends on libfilezilla >= 0.4.0 (https://lib.filezilla-project.org/).
- Fixes for network configuration wizard leading to incorrect test result
- MSW: Installer now removes leftover files from improperly uninstalled previous versions

3.15.0.2 (2016-02-10)

- MSW: Binaries are now also signed using a SHA-256 signature and certificate.
- OS X: Move location of COPYING file containing the GPL to a different location in the bundle. On some systems OS X cannot verify the bundle with the file at the old location
- Restore focused item if changing directory listing sort order
- Fix restoring the column widths of the failed transfers tab in the queue when starting FileZilla
- MSW: Double-clicking a divider between a list header in the queue now adjust the sizes in the other tabs just as dragging the width would

3.15.0.1 (2016-02-02)

- Fix for search dialog not displaying the results from the last visited directory of a search

3.15.0 (2016-01-30)

+ MSW: Display notification bubble if FileZilla isn't in the foreground and all active transfers have finished.

3.15.0-rc1 (2016-01-23)

- Fix regression from 3.16.0-beta1 where extra data being appended to some downloaded files
- Fix setting initial pane sizes when creating new tabs
- OS X: Fix display of issuer and subject details in certificate verification dialog
- Updated SFTP components from PuTTY
- Official binaries now link against GnuTLS 3.4.8
- Official binaries now link against SQLite 3.10.2

3.15.0-beta1 (2016-01-13)

+ Building FileZilla now depends on libfilezilla 0.3.0 (https://lib.filezilla-project.org/).
+ Added support for downloading and deleting multiple unrelated directories from the search dialog
+ *nix: Vastly speed up line-ending conversion when downloading files using the ASCII data type
+ Improved compatibility with broken servers omitting the mandatory 1yz reply to transfer commands
- Fix handling of SFTP keyfiles with non-ASCII characters in their paths
- Add missing directory comparison checkbox to new bookmark dialog
- MSW: Installer now sets appid on desktop icon
- Updated built-in pugixml

3.14.1 (2015-10-16)

+ For third-party builds, add configure flag to allow using system ciphers for FTP over TLS. Display a warning if an insecure cipher is negotiated as result of using system ciphers.
- Fixed loading of the directory comparison flag for bookmarks in the Site Manager
- Changing the interface layout and icon theme no longer results in an inconsistent UI state
- Some SFTP servers send additional information on errors. This information is now shown in the message log
- If the local file cannot be opened on SFTP transfers FileZilla no longer automatically retries
- Updated SFTP components from PuTTY

3.14.0 (2015-09-16)

- When connecting using SFTP, show an error message instead of silently failing when encountering an insecure cipher

3.14.0-rc2 (2015-09-09)

- Removing selected queue items is now faster
- Reduced memory usage of queue
- When connecting to hostnames with multiple IPs, reset timeout if trying the next address

3.14.0-rc1 (2015-09-04)

+ Add support for password-protected SSH private keys
+ SSH private keys not in PuTTY's native format no longer need to be converted if they aren't password-protected
+ When using synchronized browsing, changing to a directory that does not exist on both sides now asks whether the missing directory should be created
- SSH1 support for SFTP has been disabled

3.13.1 (2015-08-24)

- Fix SFTP component crashing on some combinations of encryption and key exchange algorithm
- Fixed Ctrl+Shift+I shortcut to toggle filters
- OS X: Fixed Ctrl+, shortcut to open settings dialog
- Optimizations to reduce memory footprint
- Build system fixes

3.13.0 (2015-08-15)

+ Display home directory instead of root directory if the last used directory does not exist
+ Larger initial size of main window if there is no stored size
+ Slightly increased size of page selection box in settings dialog
- Fix assertion in directory listing parser
- Fix drag&drop of remote files which broke in 3.13.0-rc1

3.13.0-rc2 (2015-08-10)

- Updated SFTP components from PuTTY
- Official binaries now link against GnuTLS 3.4.4
- Official binaries now link against SQLite 3.8.11.1

3.13.0-rc1 (2015-08-05)

+ For SFTP servers the private key file to use can now be specified in the Site Manager
+ The contents of each queue tab can now be exported through the context menu
+ MSW: The installer now registers the App Path so that FileZilla is recognized in the Win+R dialog
+ FileZilla now uses pugixml instead of TinyXML to parse and create XML files
+ Several performance improvements
+ Code cleanup and modernization, building FileZilla now requires a C++14 compiler
- Fixed an assert loading sitemanager.xml created by an old version
- If password saving is disabled, specifying a password on the command-line no longer leads to extraneous password prompts when transferring files
- If deleting remote directories via the directory tree, navigate out of the directory tree that is to be deleted

3.12.0.2 (2015-07-09)

- Fix regression on servers that have MLSD facts disabled by default

3.12.0.1 (2015-07-09)

- Fix detection of UTF-8 support
- Fix location of file list status bar, it was shifted by one pixel

3.12.0 (2015-07-08)

+ Directory comparison can be configured for Site Manager entries and bookmarks
- Instead of skipping commands due to spontaneous connection failures while executing a command, reconnect and retry
- FileZilla no longer shows popup dialogs such as the file exists dialog if another dialog or message box is already shown
- Improved compatibility with servers sending malformed FEAT replies

3.12.0-rc1 (2015-06-29)

+ FileZilla no longer visually enters each visited directory during recursive operations, e.g. when downloading or deleting remote directories. During recursive operations the server's directory structure can now be navigated as if idle
+ Ask for confirmation if trying to load Site Manager data originating from a future version of FileZilla
+ Display location of settings directory on the About dialog
+ Display detected CPU features (on x86) on the About dialog
- Remove certificate verification messages in the message log for data connections
- Speed up parsing of the PASV reply
- The status bar of the search dialog now shows the number of found matches again
- OS X: Configuring SFTP keys no longer fails if the full path of FileZilla's application bundle contains spaces
- *nix: Make waitable conditions immune to wallclock changes if the system supports both clock_gettime and pthread_condattr_setclock
- Fixed a rare crash when queuing many socket threads for deletion at the same time

3.11.0.2 (2015-06-02)

- Fixed a potential crash if a connection gets remotely closed in the same moment a new connection is to be opened
- Improved compatibility with servers sending pre-epoch timestamps
- Fixed pt_BR translation

3.11.0.1 (2015-05-22)

! Reject Diffie-Hellman Groups smaller than 1024 bits when using FTP over TLS to protect against the Logjam attack
- Do not bind the source IP address of the data connection if the server is not configured properly
- Deleting bookmarks from the bookmarks dialog no longer deletes the wrong bookmark
- Fixed CPU compatibility issues on 64bit binaries

3.11.0 (2015-05-19)

- Ensure the title bar is at least partially inside the screen boundary when restoring a saved window position
- Fixed crash if opening a wrapped dialog without having restarted FileZilla after having change language to Chinese or Japanese

3.11.0-rc1 (2015-05-12)

+ Implemented new date/time handling to solve issues with DST conversion
+ *nix: Official Linux binaries are now built for Debian Jessie
+ In passive mode transfer, the source IP of the data connection is now bound to the same source IP as the control connection
- Requeueing of folder items no longer prints an error message
- Fix disabling of timeouts
- MSW: Fix the returned error level of the installer
- Fix a crash if disconnecting during transfers
- Official binaries now link against GnuTLS 3.4.1
- Official binaries now link against SQLite 3.8.10.1

3.10.3 (2015-03-29)

- Fixed crash if changing number of simultaneous transfers while transferring files
- Fixed local filelist statusbar regression introduced in 3.10.3-beta2

3.10.3-rc1 (2015-03-21)

- If saving passwords is disabled, don't ask for the password again after connecting via the quickconnect bar and then starting a download via drag&drop.
- Small performance improvements

3.10.3-beta2 (2015-03-16)

- Minimum timeout value is now 10 seconds, up from 5 seconds to prevent timeouts uploading to servers with slow storage
- Fixed an assert with invalid file sizes
- Small performance improvements

3.10.3-beta1 (2015-03-14)

+ FileZilla is now also available as 64bit Windows program. Users of 32bit FileZilla on 64bit Windows will get automatically migrated using the auto-updater
+ Added option to enable SFTP compression

3.10.2 (2015-03-02)

- When finding the local name of a remote file to be edited, use case-insensitive comparison
- Updated SFTP components from PuTTY
- MSW: Cleaned up runtime dependencies
- Fix crash introduced in rc2 when there is no password element for a saved item

3.10.2-rc2 (2015-02-25)

+ OS X binaries are now 64bit
+ MSW: The installer configures Windows Error Reporting to save minidumps in %LOCALAPPDATA%\CrashDumps if filezilla.exe crashes
+ The updater now submits CPU capabilities when checking for updates. In a future version support for CPUs without SSE2 support will be dropped
+ In the XML files, passwords are now base64 encoded
- Fix HTTP proxy handshake if no proxy username is set
- Fix state of filter toolbar button if dismissing filter dialog
- At the end of transfers, errors writing all downloaded data to disk were not always detected

3.10.2-rc1 (2015-02-21)

+ When reopening files already being edited, preselect the previously used selection
+ The subject area in the certificate verification can now be scrolled if the certificate contains many alternative names
+ Many performance improvements
- Fixed display of total transfer size in message log for SFTP transfers
- MSW: Fixed sorting of sites in Site Manager
- MSW: Fix initial focus after starting FileZilla to be in the quickconnect bar again
- Fixed bug in GnuTLS where the AES-NI instruction set wasn't always used when available
- Refresh directory trees if sort mode changes
- Fix potential crash if disconnecting during ongoing transfers
- Fix updating the transfer progress bar when uploading files via SFTP with a low speed limit set

3.10.1.1 (2015-02-01)

- Fix editing of files with the same name in different directories

3.10.1 (2015-01-31)

- Don't override proxy settings if loading an implicit session from PuTTY
- Silently delete junk files left behind by some editors in the temporary directory

3.10.1-rc1 (2015-01-24)

+ Fixed wording of some error messages when using FTP over TLS
+ Display subject alternative names in certificate verification dialog
+ If re-editing multiple files already being edited, add a checkbox to apply action to all selected file
- Editing the same local file multiple times no longer results in an error message
- Display SHA-256 fingerprints in certificate verification dialog, no longer display MD5 fingerprints.
- Disable insecure RC4 algorithm in FTP over TLS
- *nix: Fix assertion when opening the file exists dialog on some multi-display systems
- Deleting items in the Site Manager now correctly upates the right-hand side of the dialog
- Dragging items in the Site Manager no longer makes the default port appear in the port input box
- OS X: Multi-line text edit controls no longer act like rich-text edit controls and no longer perform quote substitution

3.10.0.2 (2015-01-16)

- Fix a crash if a keyfile has been configured for SFTP and this file has become missing or corrupted
- *nix, OS X: Fix permissions on files uploaded via SFTP.

3.10.0.1 (2015-01-12)

- TLS handshakes no longer stall if the server sends ginormous packets during the handshake that do not fit into a single TLS record
- Fix loading and saving the same queue item multiple times
- Post-login commands now work with the protocol set to plain FTP
- MSW: Allow uploading files that are locally opened for writing by another program
- OS X: Fix layout issues in search dialog and filter conditions dialog

3.10.0 (2015-01-07)

- Fixed default file exists actions broken by rc1

3.10.0-rc2 (2015-01-03)

+ Added Welsh translation
+ Data type indicator in the status bar now reacts to left-clicks as well
- MSW: Fix crash when displaying the drive list

3.10.0-rc1 (2014-12-29)

+ Reduced memory consumption of large queues
+ Preliminary support for Windows 10 technical preview
+ MSW: FileZilla running on a 64bit Windows can now use up to 4GiB of RAM, up from 2GiB
- Fixed memory leaks in SFTP component
- Fixed fzsftp crashing on disconnect if using keyfiles
- Various code cleanup and minor fixes

3.10.0-beta3 (2014-12-19)

+ The search dialog now has checkboxes to only search for files or directories
+ In the file lists, Ctrl+Shift+N can now be used to create new directories
+ Added an additional icon theme
+ Small performance improvements parsing large directory listings
+ Updated SFTP components from PuTTY
- Fixed applying file exists actions to files currently in the queue
- Don't send the PBSZ and PROT commands to servers that have rejected AUTH TLS/SSL

3.10.0-beta2 (2014-12-05)

- Fixed uploads constantly timing out
- Log abbreviation now works correctly when cancelling a pending connection retry
- Fixed a timing issue in the updater. Users of 3.10.0-beta1 need to update manually.
- Speed limits no longer reset when opening the settings dialog
- Fix reporting of transfer progress
- Theme preview in the settings dialog now properly displays non-standard theme sizes

3.10.0-beta1 (2014-12-03)

+ FTP over TLS is now used by default if the server supports it. Use of plain FTP can be enforced for a server in the Site Manager
+ Connection handling and transferring files has been moved into its own thread to improve GUI responsiveness
+ The message log now only shows abbreviated logs unless an error occurs
+ Added option to pre-allocate disk space when downloading files
+ Files editing can now be started from the search dialog
+ Directory trees and the Site Manager tree can now be drag-scrolled
+ *nix: FileZilla no longer depends on libidn if getaddrinfo supports AI_IDN

3.9.0.6 (2014-10-16)

! Disabled support for legacy SSL 3.0 to address the POODLE vulnerability in SSLv3. (CVE-2014-3566)
- Fixed generic proxy support in IPv6 environments
- Small improvements of control sizes on high-dpi displays
- OS X: Fix Drag&Drop while holding down the Ctrl key (or equivalent)
- Fix potential crash dragging files over an empty list

3.9.0.5 (2014-09-06)

- Fix auto-updater not being able to download updates

3.9.0.4 (2014-09-06)

- MSW: Fixed crash if starting file rename in an unusual way
- OS X: Fixed a bug in wxWidgets so that a right-click after a left-click no longer counts as double-click
- OS X: Fixed pasting of passwords into the "Enter password" dialog 
- OS X: Fixed context menu site manager tree not working
- *nix, OS X: Fixed context menu of search dialog not working
- Fixed loading of resources if FileZilla is installed in a directory containing the # character
- Fixed support for SOCKS4 proxies
- Attempt reading settings from temporary backup files if loading of settings files fails

3.9.0.3 (2014-08-13)

- Fix potential crash on connection failures
- Fixed navigating through the different controls in FileZilla's main window using the Tab key
- OS X: If FileZilla becomes the active program, the focus no longer jumps to the quickconnect bar
- MSW: Improve compatibility with DFS network shares

3.9.0.2 (2014-07-31)

+ Handle setting files redirected using symbolic links
- MSW: Updated installer to fix an issue with re-registring the shell extension after a reboot on 32bit system if a another program keeps the extension locked
- Closing FileZilla during a recursive operation no longer hangs
- OS X: Manually handle CMD+V and CMD+A for password fields as Cocoa cannot seem to do it by itself
- OS X: Manually handle CMD+X, CMD+C, CMD+V and CMD+A in the path combo boxes
- OS X: Creating new tabs selects the newly created tab again
- Detect some types TLS error conditions earlier instead of waiting for a timeout
- Small performance improvement for TLS handshakes
- Do not show error message if "Create and enter" is used with synchronized browsing enabled

3.9.0.1 (2014-07-22)

- MSW: Fix installation issue with locked DLLs affecting users of 32bit Windows

3.9.0 (2014-07-21)

+ Added Lao translation
+ Added an additional icon set
+ OS X: Holding modifier key while clicking Site Manager toolbar icon now shows the site dropdown menu
- MSW: Fix assertion when entering UNC paths
- Fix button layout of editing dialogs
- *nix, OS X: Small performance improvement recursing through local directories

3.9.0-rc3 (2014-07-16)

- OS X: Fix random crashes if adding text to the message log
- Fixed drag&drop when dropping on local file list and directory tree
- Fixed assertion when using format specified for date/time formatting
- Fixed assertion when closing FileZilla in response to system shutdown
- Various code cleanup

3.9.0-rc2 (2014-07-09)

+ Display a helpful message if login fails and either username or password starts or begins with a space.
- Small performance and memory consumption optimizations
- Various code cleanup and modernization

3.9.0-rc1 (2014-07-04)

+ Binaries are now being built with DEP and ASLR enabled where supported
- OS X: Fixed creating new tabs
- OS X: Fixed assertion and crash when renaming files
- Fixed assertion when sorting by modification time
- Fixed toolbar button to hide remote directory tree

3.9.0-beta3 (2014-07-01)

- OS X: Fixed rendering of the main window
- MSW: Fixed support for right-to-left languages
- Fixed several small layout problems

3.9.0-beta2 (2014-06-26)

- Natural sort now also works with directory comparison
- Toolbar state now updates if directory tree visibility is toggled by enabling directory comparison
- *nix: Fixed minimizing to tray not working
- Fixed background of activity indicators
- Several dialog layout fixes
- Removed spurious error message when closing FileZilla

3.9.0-beta1 (2014-06-21)

+ Added natural sort to file name comparison and added option to select which algorithm to use
+ FileZilla now builds against wxWidgets 3.0 instead of wxWidgets 2.8

3.8.1 (2014-06-01)

! Updated official binaries to use GnuTLS 3.2.15, addressing CVE-2014-3466
+ OS X: Partial support for retina displays
- Fixed several small memory leaks

3.8.1-rc3 (2014-05-25)

- Fixed bundling of .xrc resources in non-Windows binaries

3.8.1-rc2 (2014-05-25)

- Rebuilt to address a problem with the filenames of the rc1 binaries.

3.8.1-rc1 (2014-05-25)

+ MSW: Windows XP and derivatives are no longer supported. Minimum supported operating system is Windows Vista.
+ OS X: The old PowerPC architecture is no longer supported
+ Added checkbox to remember the selected action of the "Already connected" dialog
+ Added context menu item in file lists to create and enter a new directory
+ *nix: FileZilla now honors the XDG_CONFIG_HOME environment variable
+ Small usability improvement for setting number of concurrent transfers in the settings dialog
- Additional fixes to the focus handling in directory listings
- Fixed compatibility with FTP servers sending French directory listings
- *nix: Fixed DBus integration
- MSW: Fixed installation error when auto-uninstalling in order to update to a new version.

3.8.0 (2014-03-28)

+ OS X: Implemented the reboot, shutdown and suspend queue completion actions
- Popup dialogs no longer automatically open if other dialogs are already open. This prevents FileZilla from becoming unresponsive on OS X
- Fix calculation of current transfer speed. In some situations the transfer speed tooltip over the activity indicators showed negative speeds
- Fix handling of focus item in local directory listings if connecting to a site with a default local directory

3.8.0-rc1 (2014-03-22)

+ MSW: Added suspend as new queue completion action
- Minor fixes to new updater

3.8.0-beta2 (2014-03-13)

+ Use Server Name Indication (SNI) With FTP over TLS and HTTP over TLS
- Minor updater improvements to further improve reliability
- Updated translations

3.8.0-beta1 (2014-03-10)

! Updated GnuTLS to latest version to address vulnerabilities in GnuTLS' certificate validation
+ Redesigned update dialog
- Fix initial state of the 'Enable' item in speed limit menu
- Date/Time handling routines now carry precision information, this avoids comparisons of timestamps with different accuracy, e.g. 2014-02-01 and 2014-02-01 10:00 now compare as being identical when using the "Overwrite if newer" file exists action
- MSW: Make handling of FD_CLOSE socket events more robust

3.7.4.1 (2014-02-11)

- Fix detection of modified files
- Additional fixes for site-specific bookmark handling

3.7.4 (2014-02-09)

+ Added SOCKS4 support
- Additional bugfix for site-specific bookmarks
- Improve compatibility with servers sending directory listings in Polish language or in EBCDIC encoding
- Handle set user id bit when populating permissions dialog.

3.7.4-rc1 (2014-02-01)

+ Added Corsican and Kabyle translations
+ SFTP now supports the hmac-sha2-256 algorithm
- MSW: Show local timestamps for old files using the correct daylight saving time (DST) offset.
- Fix loading of transfer queue if starting FileZilla while another instance is in the process of shutting down
- Fix interaction between site-specific bookmarks and multiple tabs
- Don't resume uploads when there's zero octets left to transfer
- Improve symbolic link detection when using MLSD
- If processing a queue with files queued on multiple servers and not storing passwords, the password was not always asked prior to switching servers
- Use the correct name element when importing sites
- MSW: Show actual Windows version in about dialog regardless of app-compat settings

3.7.3 (2013-08-07)

! Merge further fixes from PuTTY to address CVE-2013-4206, CVE-2013-4207, CVE-2013-4208

3.7.2 (2013-08-06)

! Apply a fix for a security vulnerability in PuTTY as used in FileZilla to handle SFTP. See CVE-2013-4852 for reference.
- Provided Linux binaries are now built against Debian Wheezy

3.7.1.1 (2013-06-27)

- Minor bump for installer changes

3.7.1 (2013-06-18)

- Updated translations

3.7.1-rc1 (2013-06-10)

+ Add command-line option to specify initial local directory
- Fix crash on OS X if connecting using FTP over TLS
- Prevent file lists from jumping when they are not supposed to

3.7.0.2 (2013-05-26)

- Fix freeze if trying to transfer files with multiple servers each with a connection limit of 1
- Adjust accepted X.509 signature algorithms in TLS 1.2 mode

3.7.0.1 (2013-05-10)

- Fixed a bug in bundled GnuTLS affecting FileZilla 3.7.0
- Updated translations

3.7.0 (2013-05-09)

- Fix typo

3.7.0-rc1 (2013-04-29)

+ Show total transfer speed as tooltip over the transfer indicators
+ List supported protocols in tooltip of host field in quickconnect bar
+ Use TLS instead of the deprecated term SSL
+ Reworded text when saving of passwords is disabled, do not refer to kiosk mode
+ Improved usability of Update page in settings dialog
+ Improve SFTP performance
+ When navigating to the parent directory, highlight the former child
+ When editing files, use high priority for the transfers
+ Add label to size conditions in filter conditions dialog indicating that the unit is bytes
+ Ignore drag&drop operations where source and target are identical and clarify the wording in some drop error cases
+ Trim whitespace from the entered port numbers
+ Slightly darker color of inactive tabs
+ Ignore .. item in the file list context menus if multiple items are selected
+ Display TLS version and key exchange algorithm in certificate and encryption details dialog for FTP over TLS connections.
- Fix handling of remote paths containing double-quotes
- Fix crash when opening local directories in Explorer if the name contains characters not representable in the locale's narrow-width character set.
- Fix a memory leak in the host key verification dialog for SFTP
- Fix drag-scrolling in file lists with very low height
- Don't attempt writing XML files upon loading them
- Improve handling of legacy DDE file associations
- Fix handling of HTTPS in the auto updater in case a mirror redirects to HTTPS

3.6.0.2 (2012-11-29)

- Fix problems with stalling FTP over TLS uploads
- MSW: Minor performance increase listing local files

3.6.0.1 (2012-11-18)

- Fix problems with TLS cipher selection, including a bugfix for GnuTLS
- Fix a crash on shutdown
- Add log message for servers not using UTF-8
- Small performance and memory optimizations getting file types
- Improve formatting of transfer speeds

3.6.0 (2012-11-10)

- Fix a crash introduced since 3.5.3
- IPv6-only hosts should no longer cause a crash in the network configuration wizard

3.6.0-rc1 (2012-11-02)

- Do not show "Remember passwords?" dialog if connecting anonymously
- Make wording in "Remember passwords?" dialog consistent.
- Increase default TLS session lifetime
- When asking for confirmation to delete files, state whether it's local or on the server
- Fix right-to-left rendering of progress line in the transfer queue

3.6.0-beta1 (2012-10-21)

+ Auto-scroll file lists if dragging an item near the top or bottom
+ Add option to create empty files to the remote file list context menu
+ Support legacy servers sending directory listings in EBCDIC
+ Added Tango icon set
+ First-time users now get prompted whether they want to save passwords when first using the quickconnect bar
+ Greatly improve TLS performance by updating to GnuTLS 3.1.x with Nettle backend
- FTP proxies now work with IPv6 addresses as proxy address
- Handle expired TLS sessions when trying to reuse a session
- TLS session reusing no longer fails with newer GnuTLS versions due to changed semantics of gnutls_session_get_data
- Directory listings no longer sporadically fail if two connections try to list the same directory in parallel
- Partially work around a Ubuntu-specific problem with modal dialogs not being modal resulting in crashes

3.5.3 (2012-01-08)

+ Ctrl+Shift+O can be used to toggle between modification time and filesize based directory comparison
- It is now possible to use custom passwords if using "anonymous" as user name
- After un-hiding toolbar, update toolbar button states
- Fix TLS compatibility issues with TLS 1.2 servers
- MSW: Unset hidden attribute on FileZilla's settings files
- Building FileZilla from source now requires wxWidgets 2.8.12 or higher.

3.5.2 (2011-11-08)

- Updated translations

3.5.2-rc1 (2011-11-01)

+ Added option to open site manager on startup to the settings dialog
- The "Don't save passwords" option was not being saved
- The queue was not saved correctly if having items from multiple servers
- Queue items with the lowest priority setting are now being restored again
- Drag & Drop did not work with all saved sites if saving of passwords had been disabled

3.5.1 (2011-08-28)

- Add support for another rate variant of MVS style directory listings

3.5.1-rc1 (2011-08-21)

+ Add menu item to hide toolbar
- Don't save server list in kiosk mode 2
- Fix for predefined sites not appearing in all circumstances
- OS X: Pasting formatted text into input boxes no longer changes their format
- Fix typo in build script in detection of SQLite3
- MSW: Small installer improvements
- *nix: Fix character set conversion in desktop notification code
- Merged upstream PuTTY changes for compatibility with PuTTY 0.61
- Updated built-in TinyXML

3.5.0 (2011-05-22)

- Don't create queue.xml anymore if it does not exist
- MSW: Progress lines in transfer queue now appear in correct position after changing the Windows theme
- MSW: Work around a bug in Windows where a list controls' scroll position changes without the control being notified in any way
- Several fixes to build system and environment

3.5.0-rc2 (2011-05-15)

+ Added experimental setting to strip file revision upon download from VMS servers. Set "Strip VMS revisions" to 1 in FileZilla.xml to enable
- The string coalescer benchmark debug option no longer crashes if benchmarking an empty string coalescer

3.5.0-rc1 (2011-05-08)

+ The transfer queue is now stored in an SQLite database. This greatly improves performance and vastly reduces memory consumption while loading/saving the queue
+ Additional improvements to general queue performance and memory consumption
+ The provided Linux binaries are now compiled for Debian Squeeze instead of Lenny
- Fixed crash during shutdown of FileZilla
- Clearing the queue when it was not yet fully populated no longer causes a crash
- If using ask login type for a site and no username is given, the initial focus is now on the user box in the login dialog

3.4.0 (2011-03-27)

- Updated translations

3.4.0-rc1 (2011-03-20)

+ Disabled automatic negotiation of FTP over TLS introduced in 3.4.0-beta1. Will be added in a future version instead
+ Add checkbox to settings dialog to not save passwords
+ Add timestamp columns to successful and failed queue tabs showing when the transfers completed or failed
- Fixed infinite loop in TinyXML when loading settings from corrupt XML documents
- Parsing MDTM reply now takes seconds into account
- MSW: Handling of paths relative to the drive-root in local directory input box
- Compatibility with MVS listing containing PO-E type entries
- Fix Resizing issues with manual transfers dialog
- MSW: Remote file editing did not correctly handle files that were still open

3.4.0-beta1 (2011-01-09)

+ Normal FTP connections now always attempt to negotiate secure FTP over TLS
+ Added option to force use of insecure plain FTP to Site Manager
+ Kiosk mode option can now also be read from FileZilla.xml, with fzdefaults.xml having priority if setting exists in both files
- Fix memory leak in directory cache
- Compatibility with obscure DOS servers using forward slashes as path delimiter
- MSW: Horizontal scroll bar in file lists and queue did not appear if changing column widths
- Improve text wrapping engine

3.3.5.1 (2010-11-21)

- Permanently trusting certificates had no effect until FileZilla was restarted
- Fix downloading of symbolic links to files

3.3.5 (2010-11-14)

- Updated language files, otherwise identical with rc1

3.3.5-rc1 (2010-11-07)

+ FTP over TLS certificate store is now host-specific
+ MSW: Large-DPI awareness
+ Improved SFTP transfer speeds
+ FTP over TLS should prefer ciphers with longer key sizes, updated contained GnuTLS library in precompiled binaries
+ Add context menu entry to re-queue all files on the successful and failed queue tabs
+ MSW: Native file list sort indicator on Windows Vista and 7
- Resuming of uploads was not working correctly in all cases
- Correct remaining time calculation in queue
- Do not show welcome dialog in kiosk mode 2
- Do not offer option to permanently accept certificate in kiosk mode 2
- Fix sorting by size in filelists with directory sort behavior set to inline
- MSW: Fix memory corruption when changing language
- OS X: Include license and documentation files in application bundle
- Directly save settings after importing from file


3.3.4.1 (2010-08-15)

- Set a minimum size for column widths in directory lists and transfer queue
- Fix build-time check for system TinyXML

3.3.4 (2010-08-12)

- Correctly handle symbolic links pointing to files in search dialog
- Fix crash in options initialization

3.3.4-rc2 (2010-08-07)

- Fix issues with path names not properly terminated by separator
- Fix loading of settings with empty values
- Update status bar icons if changing theme

3.3.4-rc1 (2010-08-02)

+ Filter/search by modification date
+ Add "does not equal" option to size filter
+ Reduced memory consumption when working with very large queues and directory hierarchies
- Fix bug in TinyXML that could lead to corrupt XML documents
- Abort directory listing parsing if encountering a line with more than 10k characters
- Fix stalling recursive operations if FileZilla gets disconnected
- Set correct initial control state in site manager if there are no sites

3.3.3 (2010-06-13)

- Fix transfer statusbar regression introduced in the release candidate
- Do not include IPv6 zone index in the argument to the EPRT command
- Correct tab order in filter edit and search dialogs
- *nix: Revert cursor changes

3.3.3-rc1 (2010-06-06)

+ Added "does not contain" filter condition to name and path filter types
+ Pressing Alt+Left or Alt+Up (Cmd+Left, Cmd+Up on OS X) in file lists enters parent directory
+ Pressing Alt+Down (Cmd+Down on OS X) in file lists transfers selected items
+ Pressing Alt+Right (Cmd+Right on OS X) in file lists activates selected item(s)
+ Add operating system information to about dialog
+ MSW: Auto-update check now transmits whether the operating system is 32bit or 64bit
+ Small performance improvements, mostly benefiting *nix users
+ OS X: Remember hidden state of toolbar, make quickconnect bar look more Mac-ish
+ Add option to display momentary transfer speed instead of average speed
- Fix problem with rekeying of SFTP connections if not permanently trusting the server's hostkey
- Certificate details dialog no longer changes size if selecting a different certificate in the chain
- Some dialogs did not display icons using the correct size
- Show "Not connected" instead of "Empty directory" in remote filelist statusbar if not connected
- MSW: Replace some additional characters not allowed in filenames on MSW
- MSW: Selecting files while holding Ctrl+Shift no longer shows incorrect values in the filelist status bars

3.3.2.1 (2010-03-21)

+ Remember location of update download directory
- Cancel file renaming on actions that change the file list, such as changing sort order or performing a refresh
- Cancel file renaming if starting a drag&drop operation
- Filter invalid characters if downloading through double-clicking files or if adding from the search dialog
- Fix site-specific bookmarks menu
- The menu did not reflect initial value of preserve timestamp option properly
- MSW: Keep FileZilla subdirectory in startmenu when updating, preserves custom order
- MSW: Add AppID support to installer

3.3.2 (2010-02-21)

+ *nix: Add support for forward and backward mouse buttons
- Speed limits can be re-enabled on SFTP connections
- Changed settings did not come into effect unless FileZilla was restarted
- Small performance improvements

3.3.2-rc2 (2010-02-14)

- Spelling fixes
- Rebuilt due to timer problems

3.3.2-rc1 (2010-02-13)

+ Speed limits can be quickly set using the menu and a new indicator in the status bar
+ Display number of bytes transferred and duration of transfer in log
+ MSW: React to back button of mouse in file lists
+ Updated blukis icon set
- Refactored large parts of the toolbar and menubar code
- A race condition in the socket code could lead to crashes
- Fix connecting to addresses longer than 15 characters if using SOCKS proxy
- Get add to queue in local directory tree context menu working again
- Do not open request dialogs if user is holding a mouse button
- Forward all Ctrl+Tab key events to tab bar
- Do not report SFTP exitcodes that do not originate from the server

3.3.1 (2010-01-03)

- Implement missing tab creation from context menu
- *nix: Reduce flicker on tab creation
- Set initial focus in chmod dialog to input box for numeric value
- Correct handling of unexpected closure of SFTP connection

3.3.1-rc1 (2009-12-27)

+ New tab context menu, can be used to close or refresh current tab or to close all but the current tab.
+ *nix, OS X: Display sort indicators in filelist header control
+ Remember size of dialog showing all files opened for editing
+ Add refresh item to filelist context menus
+ Scroll treeview horizontally if needed to keep item in view on changing directories
- Fix crash of fzsftp if server closes connection
- Successfully downloaded update file is no longer deleted if user cancels the finish page of the update check wizard
- Do not retry connecting if not trusting certificate on FTP over TLS connections
- Better reporting of handshake failures on FTP over TLS connections
- *nix: Check for xdg-open. This program from the xdg-utils is an indirect runtime dependency. It is used by wxWidgets to open URLs in the default browser
- Refactored most of the tabbing code
- Use proper address type on SOCKS proxies
- Add missing default button in bookmarks dialog

3.3.0.1 (2009-11-15)

+ Ctrl-Tab and Ctrl-Shift-Tab to cycle tabs now loop around if reaching the end of the tab list
- Fix crash on showing/hiding of directory trees after closing a tab
- Tabs no longer become unresponsive if not approving to close a busy tab
- Directory comparison did not work properly on all but the first tab
- Fix spurious error messages if connecting to a new site while synchronized browsing is enabled
- *nix: Work around a bug in KDE preventing restore from minimize to notification area
- Do not show update dialog if there is already some other dialog open
- Fix synchronized browsing option on site-specific bookmarks

3.3.0 (2009-11-09)

- Aborting a previous connection attempt by establishing a new connection in the same tab no longer renders the new connection unusable
- *nix: Quote filenames containing spaces if editing using default editor for text files
- *nix: Fix crash while emitting queue finished notifications

3.3.0-rc1 (2009-11-02)

+ *nix: Display desktop notification if all transfers have finished and FileZilla isn't focused
- Navigating controls inside tab using tabulator key now works on all tabs
- Fix splitter positions on horizontal interface layouts

3.3.0-beta2 (2009-10-29)

+ Give choice to abort old connection or to open a new tab when trying to connect while already connected
+ Double-click on empty space in tabbar opens new tab
+ Middle-click on tab closes it
+ Use splitter positions and filelist column setup of previous tab when opening new one
+ Make betas and release candidates check daily for new versions
- Fix crash when leaving settings dialog after tabs have been closed
- Fix crash on changing tabs if old tab has site-specific bookmarks but new one doesn't
- Layout of tabs no longer changes after leaving settings
- Fix issues with remembering last used server
- Don't use bold font for active tab
- Recursive operations now working in all tabs

3.3.0-beta1 (2009-10-27)

+ Tabbed interface to connect to multiple server at the same time
+ New welcome screen
+ Add Open to local directory tree context menu
- Fix mismatch of displayed and actually performed default file exists action
- MSW: Update mingwm10.dll to fix a crash at initialization
- MSW: FTP over TLS no longer crashes for users of VIA CPUs
- *nix: Fix crashes due to race condition in dbus code
- Fix SHA-512 calculating incorrect hashes on 64bit systems, used by SFTP and the update wizard

3.2.8.1 (2009-10-10)

- Fix crash if creating filters with attributes or permissions rule
- MSW: Fix column reordering and hiding in file lists
- MSW: Fix crash if trying to edit a file without any associated program nor default editor
- Use REST+STOR to resume upload instead of APPE if server advertises REST STREAM support

3.2.8 (2009-10-03)

- Changing directories at the same time an upload finishes no longer disturbs synchronized browsing
- *nix: Ensure dialogs can be closed using escape key
- *nix: Fix height of settings dialog

3.2.8-rc1 (2009-09-26)

+ Replacement of characters not allowed in local filenames if downloading
+ Remember last used search conditions
+ Display link overlay on icons of links in remote file list
+ Display of average transfer speed should converge faster to overall average
+ Simplify default file exists action dialogs
+ Apply decimal places size formatting option also to total queue size
+ MSW: Reduce number of needed user interactions in installer if update started from within FileZilla
+ MSW: Check that there are no running instances of FileZilla before installing
- Fix handling of remote directory names with leading or trailing spaces
- *nix: Fix memory leaks in D-Bus session management and power management inhibitor client code
- *nix: Fall back to org.gnome.SessionManager if org.freedesktop.PowerManagment does not exit to inhibit idle sleep during transfers
- Increase default size of SO_RCVBUF (TCP advertised window) to fix performance issues on high-latency connections
- MSW: Fix displaying list of shares on local network resources
- MSW: Remote file editing no longer gets confused if two filenames only differ in character case
- Fix dialog line wrapping issues
- Ensure width of site manager is large enough to fit all tabs
- Better guard against filename columns being moved or hidden
- *nix, OS X: Handle filesystems without advisory file locking instead of falsely warning about site manager being opened in a different instance of FileZilla

3.2.7.1 (2009-08-23)

- Fix crash if adding new filters
- Small performance optimization for local directory tree

3.2.7 (2009-08-13)

- Make external address resolver IPv6 aware, resolve correct address type on hosts both with working IPv4 as well as IPv6
- Bumped minimum required GnuTLS version to 2.8.3
- Keep URLs copied to clipboard even after FZ gets closed

3.2.7-rc3 (2009-08-06)

- Test of changes to autoupdate logic introduced in 3.2.7-rc2

3.2.7-rc2 (2009-08-04)

+ Use HTTPS to check for updates and compare hash of downloaded update file

3.2.7-rc1 (2009-08-02)

+ Add option to prevent system idle sleep during transfers or other operations
+ Add -l option to commandline to specify logon type for passed URLs
+ Improve layout of search and filter edit dialogs
+ Implement keyboard navigation in search and filter edit dialogs
+ Add status bar to search dialog
+ Remember file exists action for individual queue items
+ Faster queue loading and saving
- MSW: Fix memory leak in shell extension
- Fix possible race in socket code leading to infinite loop
- Resolve parsing conflict between MLSD and Unix-style listings
- Fix deleting symlinks on SFTP connections
- Deselect ".." on Ctrl+A in addition to selecting all other items
- Changing data type on implicit FTP over TLS connections no longer prints an error message
- *nix: Fix missing thread synchronization in D-Bus bindings

3.2.6.1 (2009-07-01)

- Fix FTP over TLS regressions in provided binaries due to two bugs in GnuTLS causing transfer failures
- OS X: Revert regression in wxWidgets in provided binaries leading to a crash on drag & drop
- Keep bookmarks menu sorted after adding new bookmarks

3.2.6 (2009-06-28)

- Don't display error messages multiple times if modification times of edited file cannot be obtained
- Fix problems with certificate dialog introduced in 3.2.6-rc1

3.2.6-rc1 (2009-06-22)

+ FTPS: Display complete certificate chain
+ Add option for stateless local file editing
- Fix delete operation on symbolic links
- Automatically reconnect if necessary to perform drag & drop action like with other actions
- SFTP: Don't report success if download fails due to lack of disk space
- MSW and OS X: Link against GnuTLS 2.8.1

3.2.5 (2009-06-15)

- Fix adding remote directory symlinks to queue not working
- Fix "Timer creation failed" message boxes on update download dialog. Actual update download was not affected, only display of the progress bar.
- MSW: Use deferred volume label gathering on local file list as well

3.2.5-rc1 (2009-06-06)

+ Remote file search
+ Add option to hide identical files to directory comparison
+ Remember SSH host keys for session duration if not trusting permanently
+ MSW: Display full UNC path on drive-mapped network shares
- Use pkg-config to detect GnuTLS if pkg-config is available
- Fix to auto-reconnect logic
- Allow targetless OS.unix=slink facts in MLSD listings
- Start additional transfers if possible after readding files to queue during queue processing
- Fix name of SSH_AUTH_SOCK variable on SFTP page in settings dialog
- Properly qoute path to fzputtygen
- MSW: Fix problems if re-activating FileZilla window by clicking inside it if there is a changed edited file
- Fix problem with permissions parsing for nonstandard chmod dialog

3.2.4.1 (2009-04-27)

- Allow empty fact values in MLSD listings as allowed by the specifications
- Recognize symlink entries in MLSD listings
- Fix redundant file exists prompts after chosing rename file exists action
- Update item in queue after rename file exists action
- Fix reconnect delays in case login failed with 5yz reply code

3.2.4 (2009-04-21)

- Fix crash on SFTP download resume caused by uninitialized variable in PuTTY code
- Properly refresh remote directory after chmod if synchronized browsing is enabled
- Fix unediting locale files in file editing dialog
- Fix regression with custom post-login commands on servers supporting MLSD
- Trigger refresh of transfer progress bars after resizing queue
- Several small fixes to minimize to tray functionality

3.2.4-rc1 (2009-04-14)

+ Always use MLSD to retrieve directory listings on servers supporting it
+ Handle leading and trailing spaces on filenames, requires MLSD support
+ Multiple files can be selected for editing simultaneously
+ MSW and *nix: Add option to minimize to tray
+ The URLs of selected remote files and directories can be copied to clipboard
- Further queue performance improvements
- *nix: Provided Linux binaries now linked against Debian Lenny instead of Etch
- Fix visual problems caused by too long URLs in update checks
- Fix sync browsing checkbox in bookmark manager

3.2.3.1 (2009-03-25)

+ Add context menu to data type indicator in status bar
+ Do not display file exists dialog after confirming to upload a changed, edited file
- Classic theme wasn't remembered
- OS X: Option to auto-remove successful transfers in queue could not be toggled
- *nix, OS X: "Remove all" context menu item did not work if no item was selected in successful and failed queue tabs
- MSW: Search PATH environment variable for associated editor if needed
- Fix problems with double-quoted paths with containing single quotes in associations

3.2.3 (2009-03-21)

+ Made OpenCrystal the default theme on new installations
+ Setting kiosk mode to 2 in fzdefaults.xml prevents FileZilla from writing to any settings files. Useful if executed from read-only media.
- Fix crashes and memory corruption if resizing columns in queue if message log is positioned as queue tab

3.2.3-rc1 (2009-03-15)

+ Add synchronized browsing option to sites and bookmarks
+ If synchronized browsing and directory comparison are enabled, changing directories no longer disables comparison
+ Add some hotkeys for commonly used menu and toolbar items
+ Handle CTRL+A to select all files in queue
- Less CPU usage during SFTP transfers
- Improve appearance of queue tabs on dark themes
- Allow system file associations with singlequotes around filenames for editing
- Fix rare crash on connection failures
- Activity indicators in lower-right corner of main window were not working properly
- Do not allow multiple entries in quickconnect history that only differ in password
- Fix crash if closing filter edit dialog
- Improve timezone offset detection on servers without seconds resolution in listings
- Fix layout issues in settings dialog

3.2.2.1 (2009-02-21)

- Fix local directory creation during downloads. If multiple directory levels were missing, they were created in the reverse order
- MSW: Restore ability to navigate to drive list through .. entry in local file list

3.2.2 (2009-02-20)

- Display password prompt if connecting to sites with Ask or Interactive logon type through bookmarks
- Fix parsing of default remote directories in site manager if using non-default server type

3.2.2-rc1 (2009-02-13)

- *nix, OS X: Fix crash if starting FileZilla when the last used local path no longer exists
- Keep track of name and path of the site manager item currently connected to so that bookmarks menu stays updated properly
- MSW: Handle obscure DDE associations for file editing
- More verbose error messages if loading a configuration file fails
- Newly downloaded directories appear again in the local file list

3.2.1 (2009-02-06)

+ New iconset: Minimal
- Fix filter edit dialog sizing issue
- MSW: Fix icon transparency in status bar and use better disabled icons in toolbars

3.2.1-rc1 (2009-01-31)

+ Synchronized browsing
+ Configurable double-click action for file lists
+ Ask user to select an editor if trying to edit an unassociated file type
- MSW: Work around problem with TinyXML if settings or program directory contains characters not expressible by the system's narrow character set
- OS X: When adding sites, the edit label will no longer be hidden behind the tree in the site manager
- MSW: Further Vista improvment for installer
- Fix potential race condition in socket code

3.2.0 (2009-01-07)

- Fix account logon type in combination with FTP proxies

3.2.0-rc2 (2009-01-03)

- Change wording of some strings
- Support yet another directory listing variant on obscure MVS style systems
- Fix odd behavior if deleting items from site manager
- Do not show proxy password in message log on SFTP connections
- Properly display "bytes" suffix in filelist status bar if not using thousands separator

3.2.0-rc1 (2008-12-30)

+ Bookmarks
+ Logging to file
+ *nix: Use GNOME's Session Manager D-Bus API to cleanly shut down FileZilla on end of session
+ MSW: Improve installer's Vista compatibility.
- *nix: Fix encoding issues with thousands separator in some locales
- Thousands separator on file exists dialog
- Rearrange filter dialog a bit
- Compile fixes for HP-UX

3.1.6 (2008-12-02)

+ Automatically refresh remote directory listing if queue finishes successfully
- Speed up refresh of remote directory listing if adding files during uploads
- Connections no longer time out waiting on a directory listing getting retrieved by a different connection
- Number of files were not updated if deleting remote files
- MSW: Update manifest so that the evil filesystem virtualization stays disabled under Vista

3.1.6-rc1 (2008-11-26)

+ Configurable location of message log pane
+ Context menu inside site manager to export individual sites or site subtrees
- Several fixes for users with Turkish locale
- Fix race condition causing not all subdirectories to be added to queue on upload
- Cleanup of pane splitter code to facilitate configurable message log position
- Cleanup of path and directory listing caches to be less convoluted

3.1.5.1 (2008-11-15)

- Connection establishment through SOCKS proxies could fail in some cases
- Clearing private data no longer crashes if quickconnect bar is hidden
- Handle drag & drop of symlinks
- Update remote directory tree if deleting a subdirectory
- Fix parsing of HTTP chunk lengths for the update downloader
- Reduce memory consumption of remote directory tree
- Rewrite the code that added local directories to the queue. New one is faster and avoids some potentially thread-unsafe behaviour of the old code
- OS X: Fix help menu duplication on non-English systems
- MSW: Reset wxWidgets internal display cache if changing display resolution or layout
- MSW: Fixes for silent intaller

3.1.5 (2008-10-22)

+ Handle symbolic links on servers. If trying to access a symbolic link, FileZilla will first try to CWD into it, and if that fails, will treat it as a file instead. During recursive operations, any directory link encountered will not be followed, but file links will be downloaded.
- Numpad keys could not be used to search for entries in the file lists
- OS X: Use smaller font sizes in message log and directory trees
- Fix vertical alignment of labels next to the directory boxes above the directory trees
- Use lighter text colors in message log if using dark background
- *nix: Transfer status lines will no longer overlap the queue scrollbar
- *nix: Fix font colors if using themes with dark backgrounds (e.g. DarkRoom under Ubuntu 8.10)
- Fix XML corruption problems

3.1.4.1 (2008-10-16)

- *nix: Fix crash if renaming directories using the local directory tree
- Rebuilt official binaries to revert a regression in wxWidgets causing memory corruption

3.1.4 (2008-10-15)

- *nix and OS X: Avoid SIGPIPE if socket gets closed during uploads
- Fix SFTP speed limits
- Avoid reduntant refreshes of local file lists on some drag&drop operations
- Send user agent with requests if using HTTP proxy
- MSW: Add checkbox to start FileZilla to finish page of intaller
- Reselect previously set default file exists action if reopening dialog on a queue item
- OS X: Do not check /net whether it has subdirectories, it is extremely slow
- Upon reconnecting, fall back to list current directory if last used directory is no longer accessible

3.1.4-rc1 (2008-10-08)

+ Configurable number of decimal places for filesize formatting
+ Allow editing of files with identical name but different remote paths
+ File changed notification displays more information
+ Manual transfer dialog
+ Quickconnect bar can be hidden
+ MSW: React to added or removed drive letters
- Downloading updates should no longer randomly freeze the client after HTTP redirects
- Huge queues should save slightly faster

3.1.3.1 (2008-09-29)

- Download speedlimits were not working since 3.1.3-beta1
- On very fast connections, sockets could receive close event before being marked active, leading to timeouts

3.1.3 (2008-09-21)

- Fzsftp no longer crashes if receiving invalid data from server and instead quits gracefully
- Fix crash if entering hostname with characters not allowed in internationalized domain names
- OS X: Fix crash if path to FileZilla contained non-ASCII characters
- Compatibility with yet another exotic directory listing format

3.1.3-rc1 (2008-09-15)

+ Keep remote directory tree and file list if disconnected by the server. Transparently reconnect before performing the next operation.
- OS X: Massive performance improvements
- Various small performance improvements

3.1.3-beta1 (2008-09-10)

+ New socket event handling system, more flexible and a bit faster
+ Performance improvements for local directory tree
- MSW: Using prefix search to select an item now also changes the startpoint for a multiple selection.
- Fix directory creation logic if the directory to create is a root directory

3.1.2 (2008-08-30)

- Allow drive labels with more than one letter for servertype DOS
- Slight speedup of transfer queue, defer redrawing of UI elements to idle time

3.1.2-rc1 (2008-08-24)

+ Add directory listing filter condition to match on containing path name
+ Implement kiosk mode in which FileZilla will not write any passwords to disk. Can be enabled through fzdefaults.xml
+ Add option to disable update checks to fzdefaults.xml
+ Vast performance improvements if handling queues and directories with thousands of files
+ Faster TLS/SSL handshake on data connections
- Queue should no longer get mixed up if LIST command fails during recursive downloads
- Fix crash if using -s commandline argument
- Fix spurious transfer failures if multiple engines try to list the same directory
- Loading invalid filters could crash FileZilla
- User/pass authentication for SOCKS5 proxy support was not working properly
- If stopping queue processing while recursively downloading directories, files added by the recursive operation will no longer reenable queue processing
- MSW: Keep site manager wide enough so that all notebook tabs fit
- Fix crash if server does not support resuming of large files
- SFTP uploads did not fail if server ran out of diskspace
- If compiled for some 64bit systems, SFTP resumes of files larger than 2^32 did not work properly

3.1.1.1 (2008-08-11)

- Fix crash if a connection attempt gets aborted

3.1.1 (2008-08-10)

+ Save filter toggle state
+ MSW: Display drive labels if available
- Fix crash in new socket class if using active mode FTP
- Request user attention (e.g. blinking in taskbar) if an edited file changes and the program is minimized
- Don't issue mdtm command on links for the automatic timezone detection on SFTP servers
- Do not capture menu shortcut keys in file lists
- Allow directory comparison if filters are toggled off
- MSW: Sorting in site dropdown menu is now identical to sorting inside the Site Manager
- OS X: If closing the file rename edit box, refresh neighboring lines to get rid of artifacts left behind by the edit control border

3.1.1-rc1 (2008-08-04)

+ If using "Ask for password" and "Interactive" logon types, a username is now optional in the Site Manager
+ New iconset: OpenCrystal
+ MSW: Whether icon sets should be installed or not can be seleted in the installer
- Fix parsing of URLs containing port number in quickconnect bar
- Fix handling of local write errors if downloading files
- If closing FileZilla, the queue is now properly saved using a backup copy to prevent corruption of queue file
- Slight performance improvement if opening settings dialog, language and theme pages are now populated on demand
- Reply to server's shutdown notification on SSL/TLS secured downloads if connection still open
- After downloading files, local file count did not update
- "My Sites" in Site Manager should not be draggable
- Fix entering IPv6 addresses in Site Manager
- Directory cache was incoherent after renaming a directory
- Several fixes to new socket class
- MSW: Starting a bounding box selection (Windows calls it marquee selection) did not set focus to the file lists

3.1.0.1 (2008-07-24)

! Do not report success on SSL/TLS transfers if server did not perform orderly SSL/TLS shutdown. Previously, an attacker could cause truncated files with FileZilla thinking the transfer was successful. All versions prior to this were affected
- Fix infinite loop in new socket class
- Fix file descriptor/handle leak in new socket class
- Fix locking error if cancelling an operation waiting for a lock held by a different engine
- MSW: In rare cases, initial read event was not triggered on transfer sockets
- Add missing icon in LonE theme

3.1.0 (2008-07-23)

+ Right-clicking filter button in toolbar toggles filters
- Fix oddities in visual formatting of IPv6 addresses
- MSW: Enable IPv6 support on SFTP connections
- Connecting using an IPv6 address did not work on SFTP
- Editing remote files did not pick up local changes if timestamp preserving was enabled

3.1.0-rc2 (2008-07-19)

+ Enable SOCKS5 and HTTP/1.1 proxy support for SFTP connections
- Fix sorting remote file list by owner/group
- *nix: Install FileZilla application icons according to the freedesktop.org Icon Theme Specification
- *nix: Use the system's tinyxml library if available

3.1.0-rc1 (2008-07-17)

+ SOCKS5 and HTTP/1.1 proxy support
+ The "Open" item in local directory listing context menu will open the system's file browser if a directory is selected
+ New iconset: LonE
+ 2 new file exists actions

3.1.0-beta2 (2008-07-12)

- Filecount in statusbar no longer count upwards if deleting files
- MSW: Call WSAStartup, fixes WSANOTINITIALISED problem
- MSW: Use closesocket(fd) instead of close(fd), the latter caused uploads to hang at the end
- MSW: Fix socket hang after changing event handler. Use a better way to resend events

3.1.0-beta1 (2008-07-10)

+ IPv6 support
+ Add option to reopen file if trying to edit a file already being edited
- Fix SFTP file descriptor leak on some transfer failures
- Fix crash if remote directory gets cleared between opening context menu and selecting view/edit item

3.0.11.1 (2008-07-05)

- Show number of filtered files in status bars if directory appears empty
- Support for international domain names was accidentally commented out
- Add missing path separator in remote filename on file exists dialog
- Fix shrinking panes if using widescreen or blackboard styles
- MSW: If showing file changed notification dialog after editing a file, program could become unresponsive in some cases
- MSW: Fix visual problems with right-to-left languages introduced with the flicker corrections in 3.0.11
- MSW: Main component can no longer be unselected in the installer

3.0.11 (2008-06-15)

- MSW: Reduce flicker if resizing main window
- Improve compatibility with Cygwin's SSH server. Use Site Manager to select server type
- Correct position of queue size in statusbar

3.0.11-rc1 (2008-06-09)

+ File list status bars showing number of (selected) files and directories along with total filesize
+ MSW: Installer improvements. The installer now remembers the installation options.
+ The update wizard now shows a list of changes in the new version
- Fix sorting issues of file lists
- Reduce CPU load if deleting or uploading many files
- MSW: Prefix search in file lists did not work with all characters
- OS X: SFTP didn't work if full bundle path contained spaces
- OS X: Fix odd dialog sizes

3.0.10 (2008-05-20)

- Precompiled binaries available from filezilla-project.org now link against GnuTLS 2.2.5 due to security vulnerabilities in previous GnuTLS versions, see http://www.gnu.org/software/gnutls/security.html

3.0.10-rc2 (2008-05-15)

- MSW: Performance improvements. Windows is inherently flawed since it does not cache directory contents.

3.0.10-rc1 (2008-05-14)

+ Commandline arguments, see manpage for details
+ Columns in file lists can be reordered or hidden by right-clicking the column header
+ Added some useful links to help menu
- Don't send redundant MKD commands to server if multiple transfers want to create the same directory multiple times
- Fix sizing problems with some interface layouts

3.0.9.3 (2008-05-06)

+ Fix rare race condition in IO thread leading to data loss. Was possible to lose up to 3*65536 bytes at the beginning of a download.
- *NIX: Renaming local files did not change local filelist
- OS X: Deleting non-empty local directories did not work in all cases
- MSW: Program could become unresponsive if update available dialog appears while a menu was opened
- MSW: Update wizard should use correct download location on Vista to save installation files
- Fix possible duplication of queue items on shutdown
- Cap input length of speedlimit edit controls
- Fix crash if getting disconnected while remote directory creating dialog was open
- Quickconnect bar did not handle URLs with trailing paths
- Update menu and toolbar state after clearing private data
- NIX: Filetype column was empty on some filetypes

3.0.9.2 (2008-04-18)

- Fix rare crash if closing FileZilla
- *nix: Fix problems with drag&drop operation starting from local directory tree- Filetype display and ascii/binary detection did not work on VMS servers
- Requeue did not work properly for edited files
- Fix state of comparison button if comparison could not be started
- Fix crash if changing filters while comparison mode is active
- Fix ghost item appearing if applying filters after exiting comparison mode
- Compatibility fix with broken servers sending PWD reply with single quotation marks
- *nix: Display drop highlight in file lists

3.0.9.1 (2008-04-07)

- Reset keyboard search prefix in file lists on directory and selection changes

3.0.9-rc1 (2008-03-31)

+ Automatic resume on some types of transfer failures
+ Improve main statusbar
  + Icon to display selected transfer mode on FTP connections
  + Icon to show current certificate and cipher on FTP(E)S connections
  + Icon to show key exchange and encryption algorithms on SFTP connections
+ Remember last selected item in Site Manager
+ Various improvements to main menu
- New menu and toolbar state update system to reduce CPU usage and increase responsiveness
- Fix refresh problem with local directory tree
- Fix unreadable text with some color schemes
- Submit operating system version on update availability check
- Fix connection problems with some SFTP servers introduced in 3.0.8
- *nix: Fix message catalog install directory

3.0.8.1 (2008-03-17)

- Fix infinite loop in local directory tree

3.0.8 (2008-03-13)

- *nix: No longer follows symbolic links if deleting local directories
- Fix crash if dropping a file on a fill item in directory comparison mode
- Handle DEL key in queue and local directory tree
- Handle F2 key in local directory tree

3.0.8-rc1 (2008-03-07)

+ Add interface for SFTP public key authentication
+ Add option to bypass proxy settings to sitemanager and quickconnect bar
+ Automatic timezone detection for SFTP listings
+ Preserving file timestamp on SFTP transfers
+ If using Site Manager, display site name in window title during connection
- Tell user in message log to use interactive logon type if SFTP server sends multiple prompts
- Fix performance issue with local file listings, most noticeable if browsing network shares
- Reduce initial window size on very small display resolutions like 800x600 or below

3.0.7.1 (2008-02-19)

- Fix connections timing out shortly after sending keep alive command
- Update remote file list if renaming files
- *nix: Fix tab key in Site Manager not working

3.0.7 (2008-02-14)

- Timeouts were not working at all on FTP connections since 3.0.4-rc1
- OS X: Application bundle can now be renamed

3.0.7-rc1 (2008-02-10)

+ Ability to select different toolbar icon sizes if theme supports it
+ Local listings can be filtered by file attributes (Windows) or permissions (other)
+ Option to enable timestamps in message log
- Transfer queue pane did not remember its size correctly
- Fix infinite loop if dragging root node in Site Manager
- *nix: Fix segault if copying directory listing filters
- Keyboard navigation in file lists fixed
  - MSW: Ctrl + Space not working
  - *nix: Ctrl + A not selecting all files
- OS X: File changed notification can no longer get stuck behind main window
- Disable download in remote context menu if local directory is not writable
- Prevent opening multiple confirmation dialogs if closing FileZilla
- Speed up loading time of the more complex dialogs
- Fix cache problem if renaming files
- If preserving file timestamps, use MDTM command if downloading files where the directory listing does not have enough precision

3.0.6 (2008-01-30)

- If deleting or renaming a directory in SFTP, invalidate current working directories
- Allow downloading of files starting with a dash using SFTP
- MSW: /S installer argument works again
- Improve queue on broken servers with a connection limit

3.0.6-rc1 (2008-01-24)

+ Site Manager improvements:
  + Remember dialog size
  + Site Manager will remember which folders are expanded or collapsed
  + Sites can be moved and copied using Drag & Drop
  + F2 key can be used to rename sites in Site Manager
+ Add context menu for local directory tree
+ *nix: Basic man pages
- Do not allow empty names for filters and filter sets
- custom file associations did not work if system associations were inherited
- MSW: Fix Reboot/shutdown queue completion actions

3.0.5.2 (2008-01-12)

- Fix local tree refresh causing unwanted directory changes.
- Fix crash in path cache
- Fix update check
- Remove error message if locales aren't installed or FileZilla has not been translated into the default system language

3.0.5.1 (2008-01-11)

- Fix crash if entering custom command

3.0.5 (2008-01-10)

- Fix freeze if deleting remote directories
- Compatibility with HP NonStop servers
- MSW: Uninstaller did not remove defaultfilters.xml
- Improve visual feedback for some drag&drop operations
- Fix sort order in sitemanager dropdown menu
- Fix size of file changed dialog
- "Apply to current queue only" in file exists dialog did not work properly
- Cached directory listings expire after 30 minutes

3.0.5-rc1 (2007-12-31)

+ Directory listing comparison
+ Ability to open and edit local files
+ Add option to use default system language. Note: Language selection will be reset to default if updating to this version.
+ New artwork for send and recv indicators
- Fix crash with keepalive timer
- *nix: Use proper locale initialization, happened too late in FZ's startup sequence in previous versions.
- Fix issue with proxies in combination with nonstandard ports
- Fix timezone offset detection if user has specified a custom offset
- MSW: Cancel remote renaming of files if listing changes
- Fix prefix search in file listings not working with all keys
- Internal engine state could get confused on failed transfers
- Fix visual refresh problem in queue
- Fix several glitches with right-to-left languages
- Write errors during downloads are now critical, as they usually require user interaction (e.g. disk full)
- Calculate proper filesize on VMS servers
- Remote directory tree did not display all known directories
- Don't display error messages if some local directories are not accessible during auto-completion in local view header or if if they are parent of an accessible directory in the local tree view.

3.0.4 (2007-11-26)

- Linux: Fix empty challenge text if using interactive login

3.0.4-rc1 (2007-11-20)

+ Implement FTP Proxy support. Note that using a properly configured NAT router is recommended instead.
+ Implement FTP keep alive for those connecting to improperly configured servers
- Fix crashes if deleting files in directories with more than 200 entries
- Compatility improvements with VMS and z/VM servers
- Now requires GnuTLS 2.0.4 which fixes a problem with servers using compression.
- Changing list of ASCII files or increasing number of concurrent transfers had no effect until restart of FileZilla

3.0.3 (2007-11-06)

+ Install some default filters if filters.xml missing in user's settings directory
- OS X: Fix remote file viewing/editing
- Additional fixes for SFTP servers with nonstandard filename encodings

3.0.3-rc1 (2007-10-31)

+ Automatic server timezone detection. Custom offset in the Site Manager may need to be adjusted. FTP only.
+ Option to preserve file timestamps on downloads (all protocols)
+ Option to preserve file timestamps on uploads on FTP servers supporting the MFMT command
+ Add transfer type (ascii/binary/auto) selection to transfer menu
- Shorten very long filenames on file exists dialog
- Attempt at working around broken routers and firewalls disconnecting the control connection of the transfer session on transfers
- Deleting directories containing lots of files should be faster now
- Disallow settings/site import from files located in the settings storage directory
- Fix nullpointer dereference on non-UTF8 enabled SFTP servers
- *nix: Fix button height inconsistencies on dialogs with certain artwork (e.g. Ubuntu 7.10)

3.0.2.1 (2007-10-17)

- Fix issue with message log not working properly

3.0.2 (2007-10-17)

+ MSW: Added /user=all and /user=current options to installer
+ Experimental support for z/VM servers
- Fix typo in option handling code. Due to this, settings for date/time formatting have been reset.
- Fix performance problem if FileZilla gets started with message log hidden
- Work around possible race conditions in SFTP input thread leading to crashes
- MSW: Fix issue with installer where reboot after uninstalling previous version disrupted installation. Fix will only work if uninstalling 3.0.2 or greater.
- OS X: Use new icon

3.0.2-rc1 (2007-10-10)

+ Remote file viewing / editing
+ Display current server in window title
- Don't remember incorrect password on SFTP connections with ASK logontype
- MSW: Fix drag&drop to explorer in case of case-mismatch between requested and reported path.
- *nix: Fix Makefiles so SFTP properly supports files > 2GB
- Ascii filetype setting for extensionless files and dotfiles had negated effect
- Fix error message if using multiple running instances save the settings at the same time
- Fix parsing of very new files in directory listings if server is in a timezone ahead of the client
- Fix range of timezone offset setting
- Fix problems with remote path combobox if reconnecting after a disconnect
- Display confirmation dialog if deleting file from remote directory tree context menu
- Refresh remote directory listing after refreshing a single file
- On very first startup, center FileZilla on screen

3.0.1 (2007-09-19)

- Fix parsing of settings or site XML data containing double, leading or trailing whitespace.
- MSW: Work around flaw in the combo box implementation used by the view headers

3.0.1-rc1 (2007-09-15)

+ Settings to configure size, date and time formatting
+ Message log and queue visibility will be remembered
+ Custom action to perform after queue completion
+ Add some confirmation dialogs
- MSW: Fix file truncation if using speed limits
- MSW: Fix slow startup on systems with floppy drives, disconnected network drivers and so on triggered by design flaw in Windows.
- Fix misplaced settings dialog
- Fix problems with remembering pane size
- Properly refresh local directory if downloading into newly created subdirectories
- Fix issues with language set to Japanese

3.0.0 (2007-09-08)

+ New application icon
- Fix support for servers sending directory listing in yet another exotic format
- Fix prefix search in list controls on wxGTK
- Work around problem with wxSpinCtrl in site manager on wxGTK
- Fix assertion on wxGTK if listing extensionless files

3.0.0-rc3 (2007-08-31)

! Fix buffer overflow if directory lisiting filters were enabled, causing FileZilla to crash.
+ Backspace key can be used to goes to parent directory in file lists
- Fix file selection by entering filename prefix
- Restore correct window size if FileZilla gets closed while minimized
- Disable "Create directory" entry in remote filelist context menu while disconnected
- Improve compatibility with SFTP servers using exotic listing formats
- MSW: Fix locales not working
- *nix: Fix queue scrolling

3.0.0-rc2 (2007-08-25)

+ Remember Window size and position
+ Remember sort column and order of file lists
+ Additional icon set by Brian Lukis
+ Added .desktop file on *nix systems
+ If server is crippled and doesn't allow more than one connection (based on Sitemanager preference), primary browsing connection can be used by the transfer queue
- Fix SSL transfers hanging if using speed limits
- Compile fixes and compatibility improvements for various platforms
- The usual assortment of small bugfixes, see changelog for details

3.0.0-rc1 (2007-08-11)

! Fix remotely triggered memory corruption if connection gets terminated during TLS handshake.
+ MSW: Add choice between "All Users" and "Current User" to installer
+ MSW: Add Desktop and My Documents links to directory tree
+ MSW: Ability to list shares on Network computers
+ Column widths in all list views will be saved
+ Refresh local file list after a successful file transfer
+ Add context menu to remote directory tree
+ Make Site Manager resizable
- Don't leave empty files behind on failed downloads
- Fix retry and cache logic if transfer command fails with 5yz reply
- Limit number of simultaneous connections did not work properly
- Refresh listing after chmod
- Fix upload of empty files over TLS connections

3.0.0-beta11 (2007-07-20):

+ Improved queue
+ Import and export dialogs including import of Sitemanager data from legacy FZ 2.x
+ Tab key can be used to switch between panes
+ F6 toggles between quickconnect bar and local/remote path edit fields
+ Location of settings directory can be specified in fzdefaults.xml
- Engine state could get mixed up if transfers failed
- Transfer of empty files could incorrectly time out
- Fix directory cache coherency if removing/renaming directories
- Work around lack of thread-safety in wxWidgets causing random misbehaviour
- Properly disconnect idle transfer engines after 30 seconds
- Update selections if changing sort order of file lists
- Various minor fixes

3.0.0-beta10 (2007-06-03):

+ Fix bug that made Beta 9 unusable

3.0.0-beta9 (2007-06-01):

+ Add "View hidden files" option to server menu
+ Add dialog to clear private data
+ Performance improvements of message log
+ Avoid sending unnecessary TYPE commands
- Updated TinyXML component, fixes problems with filenames containing ampersands or other special XML entities.
- MSW: Fix deadlock in sftp component
- Don't retry connecting if user cancels new/changed hostkey notification

3.0.0-beta8 (2007-05-09):

! Fix data corruption on FTPS uploads
+ Implement speed limits
+ Last used local directory will be remembered
+ New option for the sorting of the filelists. Directories can be kept on top or sorted inline.
+ MSW: Display warning if detecting a system with a networking bug confirmed by Microsoft
+ Right-clicking the Sitemanager button in the toolbar displays a popup menu with the sites for quick access. On Windows, a dropdown arrow got added.
- Directorylisting-parser fixes, including support for Microware OS-9
- MSW: Small SFTP transfer speed improvement
- *nix: Autocompletion did not work properly on GTK based systems
- MSW: Uninstalling FileZilla should no longer leave registry keys behind
- lots of small bugfixes

3.0.0-beta7 (2007-03-27):

+ New optionspage to change layout of file and directory panes
+ Loading of predefined Sitemanager entries from fzdefaults.xml
+ UTF-8 support for SFTP, merged in upstream changes from PuTTY.
- Ascii file FTP transfers should now work properly on non-Windows systems
- Fix SFTP transfers of filenames containing the following characters: [ ] \ * ?
- lots of small bugfixes and performance improvements

3.0.0-beta6 (2007-02-19):

+ Vastly improved drag and drop support, including
+ MSW: Shell extension to allow dragging of files from FileZilla into Explorer
+ CTRL+A will select all files in currently focused file list
+ Display warning if trying to connect to SFTP server using FTP protocol
- Fix timing issue in socket event handling, fixes transfers not starting on some systems
- Cosmetic fixes under non-Windows platforms.

3.0.0-beta5 (2007-01-11):

! Fix format string vulnerabilities
+ Partial drag and drop support.
- Lots of small bugfixes

3.0.0-beta4 (2006-12-14):

- Fix bug that made Beta 3 unusable

3.0.0-beta3 (2006-12-13):

- FTP over TLS/SSL support
- Major performance improvements
- Automatic connection attempt retries
- Improved compatibility with legacy systems and other exotic servers
- Lots of small bugfixes

3.0.0-beta2 (2006-10-15):

- Fix timeouts
- "Update available" notification did not go away after updating
- Upload progress for SFTP transfers did advance too fast
- Filters did not apply properly
- UNC paths can now be browsed locally
- Directory listings can now be sorted by timestamp and permissions

3.0.0-beta1 (2006-10-05):

- First beta
